commit 424e12a3277d23bc8cb3e84a1659a0939ade819e
Author: Alexander Akulich <akulichalexander@gmail.com>
Date:   2021-01-26 18:38:26 +0300

    Prepare release 0.24.2

commit ef171780277fb7677b75fd08933a60447ae43d5d
Author: Martin Jones <martin.jones@jollamobile.com>
Date:   2021-02-03 18:44:55 +0300

    Fix crash when creating a conference call

commit e7dcfacbf54caff1bb4103cec6985a18db5db923
Author: Alexander Akulich <akulichalexander@gmail.com>
Date:   2021-01-26 18:35:36 +0300

    NEWS: Change the target release to 0.24.2

commit 9bb136076bc8757a967d5a58fccc592976887f97
Merge: 2ec256464 9c6c6fb52
Author: Alexander Akulich <akulichalexander@gmail.com>
Date:   2021-01-26 18:23:28 +0300

    Merge 'master' into telepathy-glib-0.24 (the branch has only fixes)

commit 2ec2564642ca3c3e84cc7fc0c29c5da2567201dd
Merge: 7c43fdc26 2487d4f72
Author: Alexander Akulich <akulichalexander@gmail.com>
Date:   2021-01-26 18:20:10 +0300

    Merge telepathy-master into telepathy-glib-0.24 excluding some changes
    
    Exclude revert "Upload documentation to the 0.24.x location"
    Exclude revert "Disable warnings about deprecated functions for stable branch"

commit 9c6c6fb5203d8cb73064a02cc6b147aa91908952
Author: Ivaylo Dimitrov <ivo.g.dimitrov.75@gmail.com>
Date:   2020-08-27 13:31:03 +0300

    protocol: fix a memory leak
    
    Signed-off-by: Ivaylo Dimitrov <ivo.g.dimitrov.75@gmail.com>

commit fd7626ee3cc965f15fe78d9f45e713ebefd83a99
Author: Jakub Kulík <kulikjak@gmail.com>
Date:   2020-05-19 11:50:44 +0200

    Tests: Make tests Python 3 compatible

commit 8b3ef714d8f94b96eaa9af238abe2b2f62b60bae
Author: Jakub Kulík <kulikjak@gmail.com>
Date:   2020-05-19 09:26:29 +0200

    Sort generated types and adjust expected accordingly

commit 0868f6d539d25c3b67e7cb10ed4ad21ce77f411e
Author: Ting-Wei Lan <lantw@src.gnome.org>
Date:   2017-06-05 22:10:12 +0800

    TpBasePasswordChannel: fix gtk-doc comment for finished signal
    
    https://bugs.freedesktop.org/show_bug.cgi?id=101301

commit 13a8d52077f0415d79c0f7aba2af50db01458021
Author: Fabrice Bellet <fabrice@bellet.info>
Date:   2016-11-09 10:49:27 +0100

    debug-sender: fix messages queue locking

commit 2e8b2cc0db09b781d99e3755bb6d01548037fe7b
Author: Fabrice Bellet <fabrice@bellet.info>
Date:   2016-12-15 11:36:05 +0100

    call-channel: fix a memory leak

commit 76cc2d96a5601572639032d33c2e1a16ff8a8905
Author: Alexander Akulich <akulichalexander@gmail.com>
Date:   2019-12-12 23:35:26 +0300

    Tests: Adjust expected gtypes sources to conform with the types order

commit e92d895158feacf7b0e4b3b102525447d61b3013
Author: Alexander Akulich <akulichalexander@gmail.com>
Date:   2019-12-12 23:35:19 +0300

    tools/glib-gtypes-generator.py: Sort generated types

commit ab13da946b2839a79e199f59e57ff984ebf9ef98
Author: Alexey Andreyev <aa13q@ya.ru>
Date:   2019-12-12 19:22:00 +0300

    Port tools/manager-file.py to Python 3

commit 64fac8c6983be656d8fdbe8f3fe51b00753a2b73
Author: Alexander Akulich <akulichalexander@gmail.com>
Date:   2019-09-15 15:46:16 +0300

    Port make-release-mail.py to Python 3

commit 45ca39448d90d960fa003d3e5e118453fb7dceab
Author: Alexander Akulich <akulichalexander@gmail.com>
Date:   2019-09-25 01:54:12 +0300

    xincludator.py: Fix behaviour on LANG=C
    
    Use UTF-8 encoding instead of 'None', because spec XMLs contain
    non-ASCII symbols, such as copyright sign.

commit 739afb4e9ef4a0b3ee124d0a188757069791b1a6
Author: George Kiagiadakis <gkiagia@tolabaki.gr>
Date:   2016-09-01 18:03:25 +0300

    build: fix previous commit for out-of-source running of autogen.sh
    
    Previous commit: dc39be2757bd7fa789c3db834d8d701b1f54f785
    This commit makes the final diff match the one by Alban Browaeys,
    as attached in bug 59705, which addresses some good points that
    Simon had made in his review. It is more portable and more clean
    this way.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=59705
    https://bugs.freedesktop.org/show_bug.cgi?id=94391

commit e03967c263fc628e1a3301c390353f7c17243c20
Author: Sebastian Geiger <sbastig@gmx.net>
Date:   2016-07-01 23:29:54 +0200

    Enable silent builds
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=96774
    Reviewed-by: Debarshi Ray <rishi@gnu.org>

commit 26ed60ccf4efe7f3fed149ecd057a52329a03084
Author: George Kiagiadakis <gkiagia@tolabaki.gr>
Date:   2016-06-18 14:21:52 +0300

    Update NEWS

commit 2764a6785a0d56c9a0341ec146dc715fed6704b4
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   2015-06-16 10:21:47 +0100

    tests: Fix a service file path to fix the build with installed tests
    
    Two directories were the wrong way round.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=90991

commit e86a31fba2acb8b4f0cfd9e022dbe73f587241b8
Author: Iain Lane <iain.lane@canonical.com>
Date:   2015-10-02 15:21:13 +0100

    tests: Remove a G_GNUC_UNUSED which isn't true any more

commit dc39be2757bd7fa789c3db834d8d701b1f54f785
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   2016-03-04 01:20:40 +0000

    build: cd to the $srcdir in autogen.sh for running gtkdocize
    
    gtkdocize needs to run in the $srcdir (or have a --srcdir argument
    passed to it) so that it can find configure.[ac|in]. Ensure that’s the
    case in autogen.sh.
    
    This fixes autogen.sh in a srcdir ≠ builddir environment.

commit 1f15dc935b65a7296dcf815b4da31a3d3b68f116
Author: George Kiagiadakis <gkiagia@tolabaki.gr>
Date:   2016-06-18 11:33:59 +0300

    tests: eliminate duplicate test case paths
    
    Seems like this doesn't work with recent versions of glib

commit d27684c488ceee4f2f54f549738adab0e2e8165d
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2014-09-17 12:14:24 +0100

    Replace tp_verify_* with equivalent G_STATIC_ASSERTs
    
    This was breaking the build: gtk-doc no longer understands verify.h.

commit 2487d4f72c00fbac6fa2f9e32e4e72404e24ae96
Merge: 7494959b2 7c43fdc26
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2014-09-17 11:55:28 +0100

    Merge remote-tracking branch 'origin/telepathy-glib-0.24'

commit 7494959b21e00acfc853728a230cb9dd55e46df5
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2014-09-17 11:53:44 +0100

    Revert "Upload documentation to the 0.24.x location"
    
    This reverts commit fb9e80acf4504706a9a52c9bca735362dd5411c7.

commit 6d399eaec1ab6381c57a371320528fda5d2e3e7c
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2014-09-17 11:53:35 +0100

    Revert "Don't check documentation completeness in this stable branch"
    
    This reverts commit 0273bfb815ef74115d614f5e5f04e013374f7a01.

commit e79273e710e7c045542ff856f31ab6edbb29d5a8
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2014-09-17 11:53:26 +0100

    Revert "Disable warnings about deprecated functions for stable branch"
    
    This reverts commit d622628afac82b057fde9315cbb6e1cf022a3f3e.

commit 7c43fdc26f561018c3ba66314974d5db45081415
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2014-08-25 14:41:02 +0200

    set nano flag

commit c834ef1a50a97cbfae7a0d560ff806fd5aa7ffe8
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2014-08-25 14:28:42 +0200

    0.24.1

commit bee265a2a8e37dc549bbbfcce9d7a67a298b07e7
Merge: e01067b4c ff81777b6
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2014-05-26 14:09:24 +0200

    Merge branch 'telepathy-glib-0.24'

commit e01067b4cb9b31e562b656e3af32e26b46fcb36f
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2014-05-21 10:54:22 +0200

    test-connection-error: don't check errors twice
    
    We are already using g_assert_error() to check those.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=79006

commit 93d10077e2ff5c629e6ca6eed2d4ed801eb964ad
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2014-05-21 10:49:37 +0200

    account-request: remove useless 'priv' variable
    
    https://bugs.freedesktop.org/show_bug.cgi?id=79006

commit ff81777b6176f5379a8c1f6152625f498757ddb1
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2014-05-21 10:47:23 +0200

    contact-list: don't crash if 'd' is NULL
    
    https://bugs.freedesktop.org/show_bug.cgi?id=79006

commit ae627c03b209c521cf6c2f17b9d22fc44a6cd207
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2014-05-26 13:46:54 +0200

    base-client: fix potential uninitialized variable bug

commit 1880685e4cf1116dee132915f9e545d8e5d2ad31
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2014-05-08 15:18:27 +0200

    stop hardcoding python's path in .py scripts
    
    https://bugs.freedesktop.org/show_bug.cgi?id=76495

commit 3ba6a273a477221c9285c323b64bf63b804e887a
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2014-03-26 16:48:10 +0000

    nano version

commit 2a401e6ecc6392768416a5db139cd862f942d6eb
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2014-03-26 15:43:35 +0000

    0.24.0

commit fb9e80acf4504706a9a52c9bca735362dd5411c7
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2014-03-26 15:42:17 +0000

    Upload documentation to the 0.24.x location

commit 0273bfb815ef74115d614f5e5f04e013374f7a01
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-10-03 09:49:33 +0100

    Don't check documentation completeness in this stable branch

commit d622628afac82b057fde9315cbb6e1cf022a3f3e
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2010-04-06 12:33:21 +0100

    Disable warnings about deprecated functions for stable branch
    
    Since this is a stable branch, we're unlikely to fix uses of
    deprecated functions, so we shouldn't warn about them.

commit 97143251db33faf3ffb968120f611240e3406841
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2014-03-18 13:58:25 +0000

    NEWS

commit 164cf33347e03e3d04f013ec7f710d991825cd66
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2014-03-18 13:51:16 +0000

    Don't leak method call results (regression in 0.23.1)
    
    Commit 7ffbde3f used common code for two blocks that were not actually
    the same. dbus-glib method calls give the caller a new reference
    to the results, whereas dbus-glib signals do not. As a result,
    the method-call case needs to either free the results, or get them
    freed by giving ownership to the GValueArray. I chose to give
    ownership.
    
    Reviewed-by: Guillaume Desmottes

commit 9cac456895857da672c73edaa45594d384f174d6
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2014-03-18 12:20:45 +0100

    set nano flag

commit 3f02fdc0fd182e5f058507f966658ac89c1cdd85
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2014-03-18 11:01:57 +0100

    0.23.3

commit bee5b30275907199e284625311bcd4fa6fc3097f
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2014-03-17 16:45:07 +0100

    tp_list_connection_managers_async: terminate properly if there is no CM
    
    Fix fdo#68892.

commit e8b9fc31f0f4fee539dd6248bde70c2c505a6df4
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2014-03-17 16:46:44 +0100

    connection-manager: factor out all_cms_prepared()

commit 9415b529a87ed63faa770799655c9506c86ea6b4
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2014-03-14 12:56:45 +0100

    call-channel: pass our factory to TpCallStream objects
    
    Partially fix fdo#76168.

commit db4715246a5ccb28dd427f467cfdd4a34b4e65ff
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2014-03-14 12:56:45 +0100

    call-channel: pass our factory to TpCallContent objects
    
    Partially fix fdo#76168.

commit 10259fa5d3b5dddc3b2202a36e4b6b621890fab1
Merge: 087e10432 86db955ee
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2014-03-13 15:41:20 +0100

    Merge branch 'telepathy-glib-0.22'
    
    Conflicts:
            telepathy-glib/contact.c

commit 86db955eede16bf794c3ba7b3355183ca11a5a17
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2014-03-13 15:27:00 +0100

    fix file path leaks
    
    g_file_get_path() returns (transfer full).
    
    Fix fdo#76119

commit 087e1043269d361b1f349b1cf123ac10506e4bbc
Merge: e8c682307 3d96ce695
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2014-03-13 13:54:16 +0000

    Merge branch 'telepathy-glib-0.22'
    
    Conflicts:
            NEWS

commit 3d96ce6954390613bf19bf8e5cf28ab1957717f2
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2014-03-13 13:49:01 +0000

    0.22 NEWS

commit b80309ee68dc9003d6384d6932d89c1443cdc8a1
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2013-12-04 14:09:18 -0500

    TpFileTransferChannel: Fix possible crashes, particularly with GLib 2.39
    
    tp_file_transfer_channel_accept_file_async() and
    tp_file_transfer_channel_provide_file_async() operations are supposed
    to complete as soon as the CM returns from AcceptFile or ProvideFile.
    That means that we cannot call operation_failed() for streaming errors.
    
    We also have to keep a ref on self while streaming the file to
    avoid a crash in the callback when we dereference self.
    
    This means that the client app cannot cancel the ongoing streaming
    by unreffing the channel, replying on dispose calling g_cancellable_cancel().
    It can still be doing using g_object_run_dispose() though. To make it cleaner
    we should probably add tp_file_transfer_channel_cancel().
    
    The spec does not provide any way for the streaming client to inform
    the CM and other clients about the error occured while streaming.
    TpFileTransferChannel API does not even have a way to propagate that
    error to the user.
    
    [slightly more informative commit message for the 0.22 cherry-pick -smcv]
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=72319

commit d1b1f0bf72a2820ae5a51b25c7817c3005b687ab
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2014-03-10 17:30:44 +0000

    TpProxy: finish_all_requests: don't leak copied GQueue
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=76000
    Reviewed-by: Guillaume Desmottes

commit 362dc49e04dfef23a2aaf4c2db04252a859dadde
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2014-03-10 16:57:50 +0000

    TpContact: mime_file_written: don't leak the file's path
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=76000
    Reviewed-by: Guillaume Desmottes

commit e8c68230750766d6dc1d5594cc898f2d914c91fb
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2014-02-28 17:01:02 +0100

    add tp_protocol_new_vardict()

commit de7f581297e8cc50d5fe9694bbccfb7e131ee009
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2014-02-28 16:57:35 +0100

    protocol: add TpProtocol:protocol-properties-vardict

commit 2d8217676a5765fa580d48f37310ecc0b2c8a5f1
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2014-02-28 16:26:12 +0100

    test creating a TpProtocol by passing its immutable props

commit a4d1165fcd95eaadbc662c89497386545c90ca56
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2014-02-28 16:24:39 +0100

    test-protocol-objects: factor out check_tp_protocol()

commit 7f475bb73bb54fb635092b92343556bc4d37ed44
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2014-02-26 13:22:30 +0100

    set nano version

commit 0b1a67b0ce875f5a59a5f59ae8d483cfad91f9ef
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2014-02-26 11:07:15 +0100

    0.23.2

commit 747174e71576e91f756a3dc56dd5a4f5d59042c1
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2014-02-25 16:10:28 +0100

    add tp_account_channel_request_set_initial_invitees

commit bf0b1ee111621247fdd83025d02cf42ab67aba5e
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2014-02-25 15:57:33 +0100

    add tp_account_channel_request_set_initial_invitee_ids()

commit aa643f1836a732d0b849d465b7777ac3265ef9a4
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2014-02-25 15:45:33 +0100

    add tp_account_channel_request_set_conference_initial_channels()

commit 5ecb253be2a30f7bbde601aeed65f75acb7476ae
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2014-02-25 15:20:13 +0100

    account-channel-request: set TargetHandleType: TP_HANDLE_TYPE_NONE if needed

commit c3beedcc25d4db5eb8d70581ddf6a06eb05bb951
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2014-02-25 14:56:57 +0100

    account-channel-request: factor out going_to_request()

commit bc7cdedbf761fc78ab176f77c8e31376527cc9fe
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2014-02-25 14:35:42 +0100

    add tp_account_channel_request_set_sms_channel()

commit 6d1aed685b8860d2e0cc4d12b251d19616617819
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2014-02-25 14:20:50 +0100

    add tp_account_channel_request_new_dbus_tube()

commit b99443c02d20923988dc97318e6cf572e9b5e66f
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2014-02-25 12:47:18 +0100

    add tp_account_channel_request_new_stream_tube()

commit 410e44a648eb3bd2eb5db31a39326b01ac953eac
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2014-02-25 12:39:59 +0100

    add tp_account_channel_request_set_file_transfer_hash()

commit 8cc41d121d1579893c2c7f7cc7bc90670170380f
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2014-01-24 16:31:53 -0500

    TpBaseConnection: add "account-path-suffix" property

commit 5bb624f0cc23d24d13ac9dd4ff0ef9ece0abe9c2
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2014-02-04 14:12:32 +0000

    nano version

commit c7673566b0a789d5717ada3b282658fc57bcbff6
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2014-02-04 13:43:33 +0000

    maintainer-prepare-release: do "git tag" in srcdir

commit b6df2edf754dd0b5ce6971e10140b44df9e730e1
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2014-02-04 13:42:21 +0000

    0.23.1

commit 58557fc633c44c261d5e1a8c85438fa12bdf72e6
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2014-01-30 20:04:08 +0000

    TpProtocol: fix some suspicious memory management
    
    It works fine as long as a preallocated GArray doesn't move its memory
    buffer for no reason, but it's good to be obviously correct. Spotted while
    working on the previous commit.
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=71093
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

commit bdba6fdf7804c050197db70d5840ae0f96cfe4be
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2014-02-04 12:51:58 +0000

    tp_connection_manager_param_dup_variant_type: add
    
    In order for this to work, TpProtocol now ignores parameters whose
    D-Bus signatures are not a syntactically valid single complete type.
    
    This is helpful for Mission Control to be able to migrate parameters
    from untyped to typed storage - it stores parameters in terms of
    GVariant.
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=71093
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
    [added (transfer full) as requested in review -smcv]

commit 64e9a2cfc53c6786e0a1005f244fa7a8e635d8c7
Merge: 640e19a07 bba70fce0
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2014-01-29 12:58:38 +0000

    Merge branch 'telepathy-glib-0.22'
    
    Conflicts:
            NEWS
            configure.ac

commit bba70fce033c7b5fcc120fcfce715ec79ca1361a
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2014-01-29 12:55:48 +0000

    nano version

commit 24a16df2d64fdad5b9c3ab678eeb38af1d461b9c
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2014-01-29 12:14:16 +0000

    release 0.22.1

commit ee177171a7f6995cba2a63f4471d5be92ea5d9a3
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2014-01-29 11:33:32 +0000

    more NEWS for 0.22

commit 57a4680a76134a628d505c8326545ee5f9066f3f
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-11-12 12:44:35 +0000

    examples: explicitly ask for TelepathyGLib-0.12
    
    TelepathyGLib-1 isn't going to be fully compatible.
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=49737
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

commit 4b17ed73b7ac11e7f971f31a36e0367493b9d639
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2014-01-29 11:21:52 +0000

    NEWS for 0.22

commit 640e19a07a39756a8c3b5b68595589679403cc43
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2014-01-29 11:19:36 +0000

    add another bug number
    
    Please mention bug numbers in your commits, particularly if they're
    for stable.

commit 6649f07748ebbe9023dde13328e5a9e7dc4abd7c
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2014-01-28 13:30:51 +0000

    NEWS

commit 3ba76d05699f6c20ff741c14fe95c1fd3f9a7fd1
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2014-01-24 15:07:28 -0500

    AccountRequest: fix doc typo

commit d96df54afb4ba104165359d32f52054ab95a3f04
Merge: e1d4f5439 77173033e
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2014-01-20 14:46:17 +0100

    Merge branch 'telepathy-glib-0.22'

commit 77173033efaa7c33d1badf446133c701e2ae890f
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2014-01-17 16:28:58 +0100

    base-client: fix TpConnection leak

commit e1d4f5439e851a8ac4585e021778c13cb1d122ed
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-11-12 12:44:35 +0000

    examples: explicitly ask for TelepathyGLib-0.12
    
    TelepathyGLib-1 isn't going to be fully compatible.
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=49737
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

commit 91c7de4f553c17118bb2d731f085ea18f05f3e84
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-08-20 20:36:46 +0100

    TpConnectionManager: add more debug for tp_list_connection_managers()
    
    Based on a patch by Guillaume Desmottes.
    
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=68390

commit bfef0a5bc50485ff39ab1cc9e329aee71271aa91
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-11-11 17:20:08 +0000

    Enable GLib 2.36 deprecation warnings
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=71048
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

commit e3d4c2977fbf086e7d42c77e3713e1bcddda2a9c
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-11-11 17:19:59 +0000

    Stop calling g_type_init()
    
    It was deprecated in GLib 2.36, and we already have a hard dependency
    on that version.
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=71048
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

commit 4480d2b9f5bb72c8acf0e9f712c6f8346a174f91
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2013-12-04 14:09:18 -0500

    TpFileTransferChannel: Fix possible crashes.
    
    tp_file_transfer_channel_accept_file_async() and
    tp_file_transfer_channel_provide_file_async() operations are supposed
    to complete as soon as the CM returns from AcceptFile or ProvideFile.
    That means that we cannot call operation_failed() for streaming errors.
    
    We also have to keep a ref on self while streaming the file to
    avoid a crash in the callback when we dereference self.
    
    This means that the client app cannot cancel the ongoing streaming
    by unreffing the channel, replying on dispose calling g_cancellable_cancel().
    It can still be doing using g_object_run_dispose() though. To make it cleaner
    we should probably add tp_file_transfer_channel_cancel().
    
    The spec does not provide any way for the streaming client to inform
    the CM and other clients about the error occured while streaming.
    TpFileTransferChannel API does not even have a way to propagate that
    error to the user.

commit 441fed1e0828b8fc6b94bd5f66c7cb222d09ef20
Merge: 831330683 1b28e0ca4
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2013-11-26 09:00:59 -0500

    Merge branch 'telepathy-glib-0.22'

commit 1b28e0ca43acec40f708d480e2824743561c5b97
Merge: d4388c7c1 3c1c43cc2
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2013-11-26 09:00:43 -0500

    Merge branch 'telepathy-glib-0.20' into telepathy-glib-0.22

commit 3c1c43cc2a13df3d5f56e20d49c7bd136486b372
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2013-11-25 14:56:01 -0500

    TpBaseConnectionManager: Fix critical printed each time a new connection is made
    
    glib 2.39.0 started to print a g_critical() message when calling
    g_source_remove() on a source that does not exist anymore.

commit 8313306834c7f294596820919a5ed52197a574be
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2013-10-28 14:59:57 -0400

    Tests: use g_test_dbus_unset()
    
    Also link to https://bugzilla.gnome.org/show_bug.cgi?id=697348 to
    explain why we still have to unset STARTER env variables.

commit 1aa78d2cf4d9b44c15c5b627eef210943646e3fb
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-10-28 16:56:38 +0000

    TpProtocol: improve debug
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=71048
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

commit d01acacceaef93160af478f8534e00d264baba03
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-10-30 12:49:44 +0000

    TpProtocol: add API for presence statuses
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=71048
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

commit 043d6101a4c8ad46e496fd463318979b2674ac68
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-10-28 16:57:05 +0000

    TpProtocol: parse status specs from .manager files
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=71048
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

commit df8c7546c913398d072c76d5aaf9fc4a00a93b4f
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-10-28 14:13:30 +0000

    Emit a new TpProtocol's immutable properties as debug messages
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=71048
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

commit c73bd6a29e23bdc7afa8a26be0fd6ade0065c03a
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-10-28 14:54:53 +0000

    TpPresenceStatusSpec: be a boxed type
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=71048
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

commit 712b3b082f740d1be16b7c74ad7a457aa91947c6
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-10-28 14:53:04 +0000

    TpPresenceStatusSpec: add some accessors
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=71048
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

commit a7cff4b6a4801259ab9190a29f99a185b10e0962
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-10-28 14:52:24 +0000

    TpPresenceMixin: fix indentation
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=71048
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

commit ccd7aed489d5e3263f0fa4c2f0af4141057aa7dd
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-10-28 14:51:55 +0000

    TpPresenceMixin: deprecate optional arguments other than "message"
    
    Our D-Bus API no longer supports anything else.
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=71048
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

commit 1c491dae9d8f6a90b4d1398dfc8914d8f4ff20a7
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-10-28 13:27:03 +0000

    TpProtocol: add high-level API for the Addressing interface
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=71048
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

commit a48cf1a835d94ea6220d67883eca4071e686a4a7
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-10-28 13:17:22 +0000

    tp_protocol_identify_account_async: add and test
    
    To make the test a little more interesting and a little more realistic,
    we normalize the 'account' parameter to lower-case.
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=71048
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

commit 689c4297ff8cd7cf971ba4bf46ad605a3149f6b4
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-10-28 13:02:13 +0000

    tp_protocol_normalize_contact_async: add and test
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=71048
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

commit 9cdd0c501a3c3d919468652f1ed3fad0202cb910
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-10-30 12:01:38 +0000

    Require GLib 2.36, for GTask
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=71048
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

commit a47643a8ca7abf496aeb0c4f936aa995cf8f9ffc
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-10-30 11:59:22 +0000

    _tp_protocol_parse_rcc: produce debug output
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=71048
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

commit 5db97e2ccc40795502202f404fc5a0c4cab0cb5f
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-10-28 12:53:10 +0000

    TpProtocol: parse_default_value: take raw value as a parameter
    
    We previously passed the value when parsed as a string, but that
    makes very little sense. The raw value is at least used for something
    by the function itself, and it's better for debug messages too.
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=71048
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

commit 45d958eeff097e1df862cbbbb760bf5831201642
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-10-22 19:11:53 +0100

    inspect-cm.py: on errors, exit rather than blocking forever
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=71048
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

commit 7ffbde3f23170ccc219ca969052efaf9c9a535bf
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-10-21 16:50:53 +0100

    codegen: factor out copy_into_gvalue
    
    I needed this for TpExportable (which is still work in progress),
    but it's already a small code reduction.
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=59024
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

commit 07e7c3d2768fe85eb2815aa93d695291565f931e
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2013-10-28 15:15:27 +0100

    nano version

commit 23949e9d81b968d8c0b9bcbb21c949cf246c22f7
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2013-10-28 15:05:52 +0100

    util.h: define tp_value_array_free if version is at least 0.24

commit c20140663f240a922dc882d90d8d9a30818c9747
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2013-10-28 14:52:06 +0100

    util.h: remove comment triggering the UNRELEASED check
    
    Having 'UNRELEASED' in a source file makes the release checker unhappy.

commit bd8cf9856f1a95ef971d4d5f5b0b051baa2eee8d
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2013-10-28 14:40:45 +0100

    fix spurious.service EXTRA_DIST path

commit a819c09df6e9123b0bc5213f9ea99e1e9df61500
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2013-10-28 14:40:29 +0100

    util.h: replace _TP_AVAILABLE_IN_UNRELEASED

commit 587b16ca92e5342a8685a2b391a84afc8977c458
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2013-10-28 14:39:56 +0100

    define _TP_AVAILABLE_IN_0_24
    
    _TP_DEPRECATED_IN_0_24 was already defined but not this one.

commit 60cd45c04371390abe58bab9d8917704057cca9e
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2013-10-28 13:00:16 +0100

    0.23.0

commit 0615514fb03e88497e4f0a2e19418da2632294ff
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-10-16 15:33:07 +0100

    README: no API guarantees on development branches

commit ed4a1251f52abc801a4cbad5f9f464f51819a78b
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-10-15 13:22:19 +0100

    Generate code for newly-stable interfaces

commit 4868017daf708049102ee33618a615f96f4adbc6
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2013-10-28 12:05:36 +0100

    spec 0.27.3

commit c38e41c0ae63ca6082381981bb7c71a14a7e8f94
Merge: 79acc094f d4388c7c1
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2013-10-24 14:54:32 +0200

    Merge branch 'telepathy-glib-0.22'

commit d4388c7c1fedb1e91b99075cd6b15b5cf573a302
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2013-10-24 14:38:45 +0200

    channel-group: don't crash if no message has been provided

commit 79acc094fb8d0136641022ae7e19e401e7aec8e5
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2013-10-23 14:55:10 +0200

    add TpAccount::avatar-changed signal
    
    Fix https://bugs.freedesktop.org/show_bug.cgi?id=52938

commit 159b18dd5af2f618a5f5571fed870e65ccf110d9
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2013-10-23 12:44:35 +0200

    simple-account: claim that we support Avatar

commit dd8c765c0dbc080e408cadaf1de1cccafd938948
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2013-10-23 11:12:35 +0200

    simple-account: add test API to change the avatar

commit 69be1c1cc0a328905a7df44f44f3e56d213db5af
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-10-02 16:49:48 +0100

    Put Autoconf, Automake, Libtool droppings in /build-aux
    
    Equivalent to MC commit c3cba93.
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=70045
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

commit 8fb03e86047fb5527da95288e3363f89a1115553
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-10-02 16:48:43 +0100

    Use subdir-objects (compile a/b.c to a/b.lo, not ./b.lo)
    
    Automake 2 will make this the default, and 1.14 warns about not
    using it. Equivalent to MC commit 1f11065.
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=70045
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

commit e4de996122b9559d03fabe2f3d3a1b51d29ffecc
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-10-02 16:47:19 +0100

    Use MKDIR_P instead of deprecated mkdir_p
    
    In theory, AC_PROG_MKDIR_P only sets MKDIR_P, although for now it
    also sets the deprecated mkdir_p for compatibility with AM_PROG_MKDIR_P.
    
    Similar to MC commit 04dd9b4.
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=70045
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

commit 7b6e496317a332b81fb079256f7995cf082b5c57
Merge: e7b9ae33a 96cfbd0e8
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-10-02 16:44:31 +0100

    Merge branch 'telepathy-glib-0.22'
    
    Conflicts:
            NEWS
            configure.ac

commit 96cfbd0e8401ab06b729cfa5b092d5939899dc6b
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-10-02 15:02:31 +0100

    nano version

commit e7b9ae33a0075541aa2f2376c2254ea0282920d7
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-10-01 17:09:02 +0100

    TpContact: improve debug info for GetContactAttributes
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=70010
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

commit 2ab17fc417761a6595abf02bd3fd6afd10a7853c
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-10-01 17:08:35 +0100

    contact_avatar_retrieved: improve debug
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=70010
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

commit 8912df6d612320dcb2ffda4fb43e995ef08aed9a
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-10-01 16:25:49 +0100

    tp_contact_set_attributes: don't warn on genuinely absent interfaces
    
    The warning message says something like "... supposedly implements
    Contacts and Aliasing" but we don't actually check that the connection
    claims to implement Aliasing (in either its ContactAttributeInterfaces
    or Interfaces). SimplePresence has the same bug.
    
    The Mission Control regression tests trigger this, since they
    include some simulated connections with small subsets of interfaces.
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=68149
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

commit 0f5f605ab1217e008174f80ab4518e8464f3bc94
Merge: 8e83a1cbe fcfa0973c
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-10-02 14:52:58 +0100

    Merge branch 'telepathy-glib-0.22' (early part) into HEAD

commit ab5cef9789cb51cccd44aacbed80494a9379831e
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-10-02 14:31:44 +0100

    0.22.0

commit fcfa0973c74c9d03020b6ea8c42a0362ccff791e
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-10-01 17:08:00 +0100

    TpContact: avoid a race condition in avatar handling
    
    We have to remember the avatar token synchronously, before we start
    async-saving the cached file, so that we can't get into this
    situation:
    
        my avatar is token "A", bytes "AAAA..."
        my avatar changes to token "B", bytes "BBBB..."
        we start saving the file /.../B
        my avatar changes to token "C", bytes "CCCC..."
        saving the file /.../B finishes
        change-notification announces that my avatar has changed to "B"
    
    which is particularly problematic for Mission Control.
    
    Regression in 0.21.2 (fd.o #63402).
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=70010
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

commit 8e83a1cbeccea3adb0102f196d2a9f6f3362a2f1
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2013-09-27 15:16:10 +0200

    deprecate tp_account(_manager)_is_prepared for 0.24

commit f36f3a56ede1eb4350324b13250a449c4d847566
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2013-09-27 15:15:52 +0200

    define _TP_DEPRECATED_IN_0_24(_FOR)

commit 3f5dffa86e4890c8440eb7a0e3d328bdacf70fdc
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2013-09-27 15:11:35 +0200

    deprecate tp_account_manager_is_prepared()
    
    We removed it in 1.0

commit 0bce763db1a3237e6ff216daca3244585f69811e
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2013-09-27 15:11:23 +0200

    stop using tp_account_manager_is_prepared()

commit 419de7023bc42c1c5fa7cab3a9bea7e62869d671
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2013-09-27 15:08:04 +0200

    deprecate tp_account_is_prepared()
    
    It's obsolete since a while and we removed it in 1.0.

commit 523dca7d96d328a92c940be5cb4550e8d72cef6d
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2013-09-27 15:07:50 +0200

    stop using tp_account_is_prepared()

commit a02af787eab20a08a678a215c917b022c2ee6f8f
Merge: 31d338bb4 05c0077c2
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-09-26 16:32:42 +0100

    Merge branch 'telepathy-glib-0.22'

commit 05c0077c29a05d375ef543bc329ced29cb0259f2
Merge: b5c43a86d a21109040
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-09-26 16:32:32 +0100

    Merge branch 'telepathy-glib-0.20' into telepathy-glib-0.22
    
    Conflicts:
            NEWS

commit a211090400176d2d433f69a2e38f9c1356a3abda
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-09-26 16:32:06 +0100

    NEWS for 0.20.x

commit bf13f5c477d4963e6231feefde58099e72cfb4f5
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-09-26 14:22:25 +0100

    Account: don't crash if a CM returns a non-(ays) Avatar
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=69849
    Reviewed-by: Xavier Claessens <xavier.claessens@collabora.co.uk>

commit 31d338bb47e46ee52347cc30622f57fbe72405ba
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-09-26 15:27:43 +0100

    Bump GLib deprecation-cleanness to 2.34
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=69849
    Reviewed-by: Xavier Claessens <xavier.claessens@collabora.co.uk>

commit 64d0037d0a2692d692b2b4f0a7a28d01fbfc5bf8
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-09-26 14:38:02 +0100

    Suppress remaining GValueArray deprecation warnings
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=69849
    Reviewed-by: Xavier Claessens <xavier.claessens@collabora.co.uk>

commit b29452b531d9edadeb5558697c58c35ecf2f44c2
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-09-26 14:37:41 +0100

    Use tp_value_array_free instead of g_value_array_free
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=69849
    Reviewed-by: Xavier Claessens <xavier.claessens@collabora.co.uk>

commit b8b0af6611ffabc84ad992697e2ae6c87e3483d8
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-09-26 15:05:04 +0100

    tp_value_array_free: add
    
    This lets connection managers and other Telepathy modules free the
    result of tp_value_array_build() without deprecation warnings.
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=69849
    Reviewed-by: Xavier Claessens <xavier.claessens@collabora.co.uk>

commit aa407653e274480ae63b21017869e07de3a1aa4e
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-09-26 14:28:40 +0100

    Make more use of tp_value_array_unpack, tp_value_array_build
    
    As well as being less code, they're not flagged as deprecated.
    
    This requires a bit of extra copying, because there's no
    tp_value_array_unpack_dup() or tp_value_array_build_take(), but
    it seems worth it.
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=69849
    Reviewed-by: Xavier Claessens <xavier.claessens@collabora.co.uk>

commit e6ac4848a0e613087b024af9f4c21fec3ee509ef
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-09-26 14:23:21 +0100

    glib-client-gen.py: ignore GValueArray deprecation warnings
    
    Yes we know we have GValueArrays.
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=69849
    Reviewed-by: Xavier Claessens <xavier.claessens@collabora.co.uk>

commit e574b30a5e0b884838a6b04526528490dfc5ce91
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-09-26 14:22:25 +0100

    Account: don't crash if a CM returns a non-(ays) Avatar
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=69849
    Reviewed-by: Xavier Claessens <xavier.claessens@collabora.co.uk>

commit 03e2bb3d09b527c9144c3186d2f0f9aa7113aac9
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-09-26 15:34:14 +0100

    0.24 branch

commit 5765148158effd59f99976b5d6c59d08a3117ac7
Merge: dea8df907 b5c43a86d
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-09-26 15:26:12 +0100

    Merge branch 'telepathy-glib-0.22', rejecting the changes

commit b5c43a86d5d4301a8876db293472b6217ef9a016
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-09-26 15:26:04 +0100

    Upload documentation to the 0.22.x location

commit cccddc75ed3dfcc74b5aac920c652f49d656f171
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-10-03 09:49:33 +0100

    Don't check documentation completeness in this stable branch

commit 5e6b1349960e4983afca1630084daac94a544db8
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2010-04-06 12:33:21 +0100

    Disable warnings about deprecated functions for stable branch
    
    Since this is a stable branch, we're unlikely to fix uses of
    deprecated functions, so we shouldn't warn about them.

commit 267bbbb6fe16b5d0e30f1dc446d93d9f833bc918
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-09-24 14:03:06 +0100

    TpConnection: don't crash if a broken CM has no Groups property
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=54500

commit dea8df907dfd435809706f54e2ad39db86576a93
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2013-09-26 15:55:09 +0200

    simple-account: set 'parameters' as writable
    
    Some logger tests relies on this.

commit bfb21c309bcae17f74a27ac9435b4cbbdf1be767
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-04-11 16:31:56 +0200

    Port unit tests to g_test_dbus_up/down
    
    https://bugs.freedesktop.org/show_bug.cgi?id=55761

commit d6c2580681fa9e84b6375331babef7f4e3962875
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2013-09-25 12:53:14 -0400

    Tests: disable single include
    
    This will make tests rebuild more often, but makes life easier
    to other projects who copy/paste our test utilities (e.g. folks)

commit ed6a2b37a5252d603b0ea45bba1940ed5b6f255e
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2013-09-25 12:52:47 -0400

    Add text-mixin.h in telepathy-glib.h

commit 53d1e1aa87a73db22ffe1e2ffe22b9201b79de41
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-09-24 17:21:44 +0100

    nano version

commit 25075cfb9b516b2a00e549d10a24a7863f3cf6d2
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-09-24 15:47:27 +0100

    0.21.2, second try

commit 87f0171800e33938012457f3c38fbd9cf70ae03c
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-09-24 15:45:25 +0100

    Revert "Copy contact-list.c into the ${builddir} so the XInclude in the docs works"
    
    This reverts commit ff26814b44720336cdcb298ddf45aea2edcfae0a.
    It has a race condition which *sometimes* breaks distcheck :-(

commit ff26814b44720336cdcb298ddf45aea2edcfae0a
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-09-24 14:42:15 +0100

    Copy contact-list.c into the ${builddir} so the XInclude in the docs works
    
    This fixes the long-standing bug that if telepathy-glib was built
    out-of-tree, the documentation had "FIXME: MISSING XINCLUDE CONTENT"
    instead of the example.
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=69753

commit fe4885a66bb1edba8521329674af6765fa785e77
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-09-24 14:03:06 +0100

    TpConnection: don't crash if a broken CM has no Groups property
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=54500
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

commit c0fa33df2a7af1888e487676f6b03f4bf445b299
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-08-21 15:14:11 +0100

    inspect-cm example: allow inspecting all CMs
    
    Also print a bit more information about protocols, and allow requesting
    timestamps in debug output.
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=68390
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

commit b0a00c67c61b6b8287aee480d9f5aaa94d0f4979
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-08-20 13:48:58 +0100

    TpConnectionManager, TpProtocol: improve debug output
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=68390
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

commit 3aaacd5566e2edc602870f86e89a3961aff6363c
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-09-24 14:19:15 +0100

    Revert "0.21.2" while we make the release work
    
    This reverts commit 04dd20c2968223029d1310c9fdedbe86592dcaf4.

commit 0b67409d65822f37195f50cfbaa11f95b40791c7
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2013-09-24 15:18:19 +0200

    Revert "Copy contact-list.c into the ${builddir} so the XInclude in the docs works"
    
    This reverts commit ca33bfa878946a1ad904e0dcd88455e989223707.

commit fe25459d20d0d0f2e908c5527b2b01f302f59ac1
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2013-09-24 15:04:59 +0200

    add ABI file for 0.21.2

commit 47f02f028d33f84cf0af63755d49f9c45230c470
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2013-09-24 15:02:26 +0200

    update UNRELEASED

commit 04dd20c2968223029d1310c9fdedbe86592dcaf4
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2013-09-24 12:51:05 +0200

    0.21.2

commit 01c89d0e02cb1233403c42cafc979567e93e8142
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2013-09-24 12:58:27 +0200

    spec 0.27.2

commit 6924c0d1262102e18ccd7c006c35deb746fe95bf
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-09-24 13:52:59 +0100

    NEWS

commit ca33bfa878946a1ad904e0dcd88455e989223707
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-09-24 13:05:20 +0100

    Copy contact-list.c into the ${builddir} so the XInclude in the docs works
    
    This fixes the long-standing bug that if telepathy-glib was built
    out-of-tree, the documentation had "FIXME: MISSING XINCLUDE CONTENT"
    instead of the example.
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=69753
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

commit 8685a6d9368307046b3d21099ed2d33770a84ece
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-09-24 13:03:10 +0100

    Make avatar image caching asynchronous
    
    Based on patches by Luca Versari and Chandni Verma.
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=63402
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

commit 7ba46141a7bfd7469ed1dba1d2938b2b62a10f85
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2013-09-20 15:51:27 -0400

    TpBaseConnection: Implement SelfID and SelfContactChanged

commit 35f5131ef8ce3660ca57854142e2c9a77cb7382c
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2013-09-18 12:59:41 +0200

    base-protocol: add Presence.Statuses as immutable properties
    
    https://bugs.freedesktop.org/show_bug.cgi?id=69520

commit 246e201a0ffcce7648b5cd3818ad889647b79ba5
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-09-12 18:52:34 +0100

    cm test: test "drop name on get" on a modern CM
    
    We were only testing this case on the archaic CM, but that's
    undesirable when converting to Telepathy 1.0, since a CM with no
    D-Bus properties will cease to be a valid CM.
    
    The diff is a little confusing because I'm basically turning
    test_dbus_fallback() and its fork test_dbus_ready() back into
    the same function. The merged version does everything that
    either of its precursors did.
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=69283
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

commit 8caae1a2a176ee27ba627efbbe4f5a7db659ad91
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-09-12 18:49:28 +0100

    tp_dbus_properties_mixin_dup_all: make public
    
    There's no real reason not to - anything that implements D-Bus
    properties is clearly going to have this method in some form.
    Also, my next commit needs it.
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=69283
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

commit fa5c747f4ca64c819ff7b0c35e81861fa41666c2
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-05-28 09:56:49 +0100

    Pass on all AM_CPPFLAGS and CPPFLAGS to g-ir-scanner
    
    Failure to do so causes a false-positive in Debian's build log checks,
    which check that "hardening" flags are passed to all compilations.
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=65293
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

commit 79beda6266d5730d2c88cd31edd52d729f2cd27d
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-08-20 20:44:12 +0100

    Regression tests: also avoid tmpnam() here
    
    This is a bit simpler than in production code, because we can just
    abort on errors that "should never happen".
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=68350
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

commit f4076dffc10600006dd6415c3584f97bd36907a6
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-08-20 20:42:10 +0100

    _tp_create_temp_unix_socket: avoid using tmpnam()
    
    On current Debian unstable, gcc/ld issues a warning about tmpnam(),
    because it's usually used in an unsafe way. "gcc -Wl,--fatal-warnings"
    (which I'm using in my development environment) upgrades that to fatal.
    
    Our usage was in fact safe (trying to listen on a socket always
    behaves like O_EXCL|O_CREAT, which can DoS'd but is not subject to
    symlink attacks), but we're swimming against the current by trying
    to use tmpnam(). Instead, create a secure private temporary directory
    with g_dir_make_tmp(), and put our socket in there.
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=68350
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

commit 21b395c356549d821b30253f6ec5be8dbd15e333
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-09-06 12:20:30 +0100

    C text handler: comment why the subclass / feature-prep works
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=54061
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

commit 15eda6a121a36c19787255ada71f7b8e0e6ed762
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-09-06 12:20:06 +0100

    Python text handler: ensure that we get a Tp.AutomaticClientFactory
    
    We want a Tp.TextChannel, not just a Tp.Channel, and the easiest way
    to do that is to use Tp.AccountManager.dup() (which provides a
    Tp.AutomaticClientFactory). Tp.SimpleHandler.new() is deprecated,
    for approximately this reason.
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=54061
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

commit de7e9b604dd50cb9fcadf3b226d049a9f3cf7ce3
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-09-06 12:18:36 +0100

    extended-client: comment that we're going behind MC's back
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=54061
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

commit a44973d2298609dcef7d0cb482f230492524cc69
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-09-06 12:06:33 +0100

    TpSimpleClientFactory: drop doc-comments for private functions
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=54061
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

commit 844041a378c457974e2b464b6081bc75f7ef23c2
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-09-06 12:03:39 +0100

    TpSimpleClientFactory: document "connection must be ours"
    
    tp_simple_client_factory_ensure_channel and
    tp_simple_client_factory_ensure_contact already enforced that via a check,
    but didn't document it.
    
    tp_simple_client_factory_upgrade_contacts_async didn't previously
    either document or enforce it, and strictly speaking there's no reason
    why it shouldn't work, so I'm using a warning instead of a
    critical-and-return - but it probably indicates an error, so I think
    it should warn.
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=54061
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

commit 0ed8a3af94781475354aec323a8e225787f07a48
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-09-06 12:01:51 +0100

    TpConnection: don't recommend that applications call Connect()
    
    For most applications, the rule is "the account manager does that".
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=54061
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

commit 02db7af6e60a69d4e23f3e0c187967cbc5a459bd
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-09-06 12:01:18 +0100

    TpConnection: describe factory behaviour
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=54061
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

commit a8d4b650dc5e91f9e51ecedffa3a6eaaf983b822
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-09-06 12:01:02 +0100

    TpCDO, TpChannelRequest: always has a factory
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=54061
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

commit 3c4b4af98aeefd5956a76a89b4ceb3055233104f
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-09-06 12:00:42 +0100

    TpCDO, TpChannelRequest: mention that they should come from "larger" objects
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=54061
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

commit 511b9f90484d1e05731ecd9587c67bd78bfc47d5
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-09-06 12:00:12 +0100

    TpSimpleClientFactory: suggest getting objects from "larger" objects
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=54061
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

commit 6758095e3ef770773808aaf951b28ac688958d59
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-09-06 11:58:53 +0100

    TpConnection: connections should come from accounts
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=54061
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

commit 8f41ddb26198eb6bee7f9019a3955c1623519d28
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-09-06 11:46:03 +0100

    TpConnection: remove woefully outdated feature list
    
    TpConnection does much, much more than a simple D-Bus proxy now.
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=54061
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

commit 9f657accda96afcec4da64b6849fb87eb6f21cc0
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-09-06 11:45:22 +0100

    TpChannelDispatchOperation, TpChannelRequest: remove boilerplate
    
    This text made sense before we implemented more stuff, but is
    obsolete now.
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=54061
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

commit 2b51b0772dbc716a50e8df0f84d3c51640834e55
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-09-06 11:43:59 +0100

    TpAccount: document interaction with factories a bit better
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=54061
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

commit 7251b59dd4d06e55574f7a68404200253e2e2491
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-09-06 11:43:22 +0100

    TpAccountManager: tighten up guarantees about factories
    
    It always has a factory, and if none is specified at construction,
    the default is to use a TpAutomaticClientFactory. If we document
    that, then client code won't need to mess about with
    tp_account_manager_set_default() unless it has special requirements,
    namely: either it has a factory of its own with more features and/or
    subclasses, or a TpSimpleClientFactory is sufficient and low-overhead
    is important.
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=54061
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

commit 6f7e04e835f5733ba77453d5e14cb48217a45f7f
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-09-06 11:39:09 +0100

    TpAccountManager: fix documentation of how many accounts are prepared
    
    The documentation had fewer guarantees than the implementation: since
    0.16, we've delayed notification of new accounts until they're prepared.
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=54061
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

commit 4717963eb9095a27495ac2f5c1d74174a81c3ac4
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-09-06 13:16:02 +0100

    tube examples: use g_message(), not g_debug()
    
    g_debug() is invisible unless you set G_MESSAGES_DEBUG, which is
    unhelpful when smoke-testing example code.
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=54061
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

commit c5ef21c08359eb9cc7e03d2ae8ec852e717deac7
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-09-06 13:14:29 +0100

    tube offering examples: don't dump core on invalid arguments
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=54061
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

commit c4ac0a8300be1e5770c49feb57f977feaad4a58d
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-09-06 13:14:07 +0100

    tube offerers: use an automatic client factory
    
    The TpSimpleClientFactory base class doesn't use channel-type-specific
    subclasses, which these examples rely on.
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=54061
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

commit 6adc3a97491b8aef64ac00a5efa5685fc5f2c6b7
Merge: 9efb9966e eefe5a1fc
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-09-04 14:04:58 +0100

    Merge branch 'telepathy-glib-0.20'
    
    Conflicts:
            NEWS

commit eefe5a1fc22c4ac9911a2fc7f16299c454ecebea
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-09-04 14:03:01 +0100

    NEWS for 0.20.x

commit 883d8878ea635baffd869ab548a1c736404dd682
Author: Debarshi Ray <rishi@gnu.org>
Date:   2013-09-04 13:49:24 +0200

    TpHeap: comparator results are not guaranteed to be -1, 0 and 1
    
    A GCompareFunc might return any negative or positive value if the two
    values are not equal.
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=68932
    Reviewed-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

commit 9efb9966e3d7425d15ac1038584aadc8e81ac56c
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-08-20 21:03:10 +0100

    more NEWS

commit 69f749d936ea1f060f9465e41854efd8af4f39d7
Merge: 6c2ba1a53 2ebe4dff9
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-08-20 21:02:46 +0100

    Merge branch 'telepathy-glib-0.20'
    
    Conflicts:
            NEWS
            configure.ac

commit 2ebe4dff95aea5d9c6485f6fa3c64b86b2930a36
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-08-20 20:51:43 +0100

    nano version

commit ea90d97e543b12a90db5b05958840045cc4f7a1d
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:   2013-08-19 12:49:32 +0200

    Fix documentation for tp_connection_get_self_handle
    
    Signed-off-by: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
    Reviewed-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

commit 6c2ba1a537ade5c26b7aa8d3b511c0ae8336c6e4
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:   2013-08-19 12:49:32 +0200

    Fix documentation for tp_connection_get_self_handle
    
    Signed-off-by: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
    Reviewed-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

commit ff51b6a6a9f2ba28d3d919e60ef98c13ce0a77a0
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-07-24 13:21:57 +0100

    prepare 0.20.4

commit 60120429b3fd85170cefd72cb913e7014bb98644
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-07-22 17:57:23 +0100

    TpConnectionManager: retry introspection after CM exits, up to once
    
    Many connection managers automatically exit after 5 seconds of
    inactivity. If the CM has no .manager file *and* exits in this way
    while we are introspecting it, we would previously consider it to have
    failed introspection - but with sufficiently unfortunate timing,
    that can result in empathy-accounts not considering Haze to exist.
    
    To avoid this, without going into an infinite loop if the CM fails to
    introspect, retry once, but only once.
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=67183
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

commit 04d3e5f75d072af465219d571a443a8548df904f
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-02-22 09:34:03 +0100

    early return if GetContactInfo() failed
    
    https://bugs.freedesktop.org/show_bug.cgi?id=46430

commit ada77b717f5bcdf442dff3505db2dacf6c05b8d3
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-02-22 09:34:03 +0100

    early return if GetContactInfo() failed
    
    https://bugs.freedesktop.org/show_bug.cgi?id=46430

commit 3df3c69fb8da8910affee42f66aa9f1e18ebe906
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-06-20 17:06:04 +0100

    nano version

commit 3022deb9910fc7793cdf5a95f157effdb890ed6c
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-06-20 16:32:54 +0100

    nano version

commit 1a311e12cadf981d913d40aed4cd3d6b52d8a50e
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-06-20 16:06:08 +0100

    Prepare 0.21.1 release

commit 627c7217f21ec9b89e542983591ac54fca3c6281
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-06-20 15:40:45 +0100

    Prepare 0.20.3

commit 66733cb8347bbc541dadd87936127f9d73e479bf
Merge: a45528703 a95947e2e
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-06-11 15:48:20 +0100

    Merge branch 'telepathy-glib-0.20'
    
    Conflicts:
            NEWS

commit a95947e2e2ad6724c6b1e74910354fb0fa4897e1
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-06-11 15:47:11 +0100

    NEWS

commit a4552870397dfad0f6f76e64e1f030845236cd98
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-02-22 15:01:01 +0000

    tp_call_stream_endpoint_get_state: return a TpStreamEndpointState on error
    
    TP_MEDIA_STREAM_STATE_DISCONNECTED is from another enum entirely,
    and will no longer exist in Telepathy 1.0.
    
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Xavier Claessens <xavier.claessens@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=65517

commit 050932ec56ad627380fce209eed9b26a593c3a00
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-06-07 18:19:37 +0100

    .gitignore: Automake 1.13 installs /test-driver
    
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Xavier Claessens <xavier.claessens@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=65517

commit a9ea7a2170d5f0cd4a9aef4bb85655b5e4e181ee
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-06-07 17:14:11 +0100

    Make tool tests executable rather than putting sh in TESTS_ENVIRONMENT
    
    This makes it possible to run the tool tests under the Automake 1.12+
    parallel test harness, which is the default from 1.13 onwards.
    
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Xavier Claessens <xavier.claessens@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=65517

commit 9d5f9bfffd478e33a2785be6e6ea628079630ba4
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-06-07 17:09:19 +0100

    util-cxx: include config.h
    
    This avoids a deprecation warning for g_type_init().
    
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Xavier Claessens <xavier.claessens@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=65517

commit 0e944e7d41b38cb248a2164468d2fe064f61819d
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-06-07 17:08:53 +0100

    Use AC_PROG_MKDIR_P instead of deprecated AM_PROG_MKDIR_P
    
    This means we define MKDIR_P instead of mkdir_p - adjust.
    Strictly speaking this requires Autoconf 2.59d, but 2.60 is hardly a
    new innovation (it was released in 2006).
    
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Xavier Claessens <xavier.claessens@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=65517

commit 1fbfb30038dbdda78f79533138fec05a270ea485
Merge: 8e922eaeb ba0b31b42
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-06-10 15:26:52 +0100

    Merge branch 'telepathy-glib-0.20'
    
    Conflicts:
            NEWS

commit ba0b31b425d5871c4141ff0a7f477ec4e296e926
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-06-10 15:14:45 +0100

    NEWS for 0.20

commit 02b70ab2cffc399846fba5f94aff937963d170a4
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2013-03-12 11:11:02 +0100

    tls-certificate: invalidate the proxy if CertificateChainData is missing
    
    We shouldn't assert if the CM is broken.
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=61616
    Reviewed-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

commit 8e922eaeba7b7875b01697c4c1bac2df7e8ac1b9
Merge: f85107b36 ccbcb74e3
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-06-10 15:02:38 +0100

    Merge branch 'telepathy-glib-0.20'

commit ccbcb74e39d92ddc44fe2e86816ba8dfa7a27daa
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-01-03 11:40:46 +0000

    contact-lists test: add a regression test for fd.o #52011
    
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=52011
    Reviewed-by: Xavier Claessens <xavier.claessens@collabora.co.uk>

commit 0b88229dc8439a37c69fc3e6544119201d7d4c48
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-01-03 11:02:52 +0000

    tp_base_contact_list_set_list_received: don't re-announce groups
    
    We already announced each group from tp_base_contact_list_groups_created
    a few lines ago; we don't need to do it again.
    
    Ideally we'd add each channel's members before announcing the
    channel itself, so that the channel is created "fully-formed"; but
    we've never actually done that, and keeping the first NewChannels
    instead of the second seems less likely to break applications.
    These channels are only for legacy code anyway: any modern client
    should be using the ContactGroups interface.
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=52011
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Xavier Claessens <xavier.claessens@collabora.co.uk>

commit f85107b368c2a4223623b7a50514c17fe4eac079
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-06-07 17:49:58 +0100

    Add a simple JavaScript debug-client which collects debug logs
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=65518
    Acked-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

commit 2acff880f5bcbd6a69baaad960ea3a029e34736e
Merge: 60b2bbdce 65cfeebe2
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-06-10 14:52:10 +0100

    Merge branch 'telepathy-glib-0.20'

commit 65cfeebe29bdd85fa7b72856ce93b900f7af1539
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-06-10 14:49:31 +0100

    NEWS for 0.20

commit b47a9af03b3154401cdd863f6b76c2393e2e7e39
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-06-07 17:42:15 +0100

    tp_debug_client_get_messages_finish: fix annotation
    
    Returning a GPtrArray with (transfer full) means the caller is expected
    to do the equivalent of:
    
        g_ptr_array_foreach (pa, (GFunc) g_free, NULL);
        g_ptr_array_unref (pa);
    
    whereas we just want them to unref it. This crashed my g-i-based
    debug-client.
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=65518
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

commit 60b2bbdce8ebe22152ac2078bb095a3eb0bef668
Merge: f58e406cf 8e6b3438e
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2013-05-22 11:02:30 +0200

    Merge branch 'telepathy-glib-0.20'

commit 8e6b3438e6ec8f94ad83786ea60d183f23c2a8fe
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2013-05-22 10:51:06 +0200

    TpCallStream: Fix local-sending-state-changed signal signature.
    
    Fixes fdo#64837

commit f58e406cfffc1782ece080a17177271c098a1e0e
Merge: 5d5c11908 5cb65fa97
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2013-04-14 11:55:14 +0100

    Merge branch 'telepathy-glib-0.20' and update NEWS
    
    Conflicts:
            NEWS

commit 5cb65fa971d4461b1f6fc6fd79a4f5b6fff3a8cc
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2013-04-14 11:51:32 +0100

    Update NEWS

commit eb6aea91d8e88c573652a9f03709928969a64498
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2013-02-22 00:09:04 +0000

    Always flag delivery reports with Non_Text_Content
    
    Fixes: https://bugs.freedesktop.org/show_bug.cgi?id=61254

commit 66982e6c17691869aa17c00416d61674b5b3e34f
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2013-01-23 11:34:20 +0000

    Annotate tp_account_update_parameters_finish properly.
    
    kuuko discovered that unset_parameters is wrongly inferred to be a
    string argument, not a string array argument. At runtime, passing a
    string crashes. I think this is a bug in gobject-introspection but we
    can annotate it as an array to fix this particular function.

commit 5d5c11908eb9b6e91455416d96e41a7a636c56e5
Merge: d3e062e6c 0b008a263
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-04-04 15:59:26 +0100

    Merge branch 'telepathy-glib-0.20' and update NEWS
    
    Conflicts:
            NEWS
            configure.ac

commit 0b008a263cfe39d5fcb128d9076c22dfec8905a7
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-04-04 15:50:34 +0100

    NEWS for 0.20 (and add the release name)

commit c768a891d6cd9012c3072b1a8307146e3d41be35
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-04-04 14:28:58 +0100

    with-session-bus.sh: clear DBUS_STARTER_*
    
    telepathy-glib prefers to use DBUS_BUS_STARTER, for the benefit of
    Telepathy components that are (or might be) service-activatable.
    The actual terminal part of gnome-terminal 3.8 is an activatable service,
    so when run from there, we pick up the real session bus' address via
    DBUS_STARTER_ADDRESS. We don't want that.
    
    (Yes, it's DBUS_STARTER_ADDRESS, not DBUS_STARTER_BUS_ADDRESS. The
    reference implementation and the D-Bus Specification both say so.)
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=63119
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Xavier Claessens <xavier.claessens@collabora.co.uk>

commit d3e062e6c771b611af9c35120a897117e8149825
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2013-04-03 13:04:38 +0200

    bump nano version

commit 31cb359ef8c1dc80f700c3fcc72d2578b0ffa0ba
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2013-04-03 12:54:54 +0200

    0.21.0 release

commit b76abbb76f13fa4aef45c258994b26a51c584c96
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2013-04-03 12:47:28 +0200

    bump nano version

commit 0d60501986e382851570f3e927cde7842d4f5724
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2013-04-03 12:34:27 +0200

    0.20.2 release

commit bda340636d7fd33902e8016113e957dac2561a70
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2013-04-03 11:02:13 +0200

    Fix test_utf8_make_valid()
    
    Older GLib explicitly disallowed non-characters (as this test assumes)
    but newer GLib follows Unicode Corrigendum 9 and allows them.
    https://bugzilla.gnome.org/show_bug.cgi?id=694669

commit 49cf6904ed3c5cee461d1ddcbaff73f4a10e3426
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2013-04-03 11:02:13 +0200

    Fix test_utf8_make_valid()
    
    Older GLib explicitly disallowed non-characters (as this test assumes)
    but newer GLib follows Unicode Corrigendum 9 and allows them.
    https://bugzilla.gnome.org/show_bug.cgi?id=694669

commit aa640da529abdefc4cc459c3b61e035ad0ec6a71
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2013-03-29 19:45:23 +0100

    Verify that TpConnection is not leaked in contacts unit tests
    
    This plugs various leaks in the tests as well.

commit 29f3243d20a1a239f3c7f3bc28b7fce17763f2ee
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2013-03-29 18:16:59 +0100

    TpConnection: break refcycle when invalidated
    
    It is already explained in tp_connection_invalidated(), connection
    must drop its refs to all TpContact at that point.

commit 86ac0ba97da73ed41f74c2d4b6708be1a1928404
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2013-03-29 18:16:39 +0100

    TpConnection: self->priv->self_contact is leaked

commit 484abc61967d4b18b8aa97f9fe5b15d6e9475920
Merge: a0f78fab8 c7dab2d3c
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-04-02 10:09:34 +0100

    Merge branch 'telepathy-glib-0.20'

commit c7dab2d3c6936443fb4aee43f54defa81b5dc592
Author: Maksim Melnikau <maxposedon@gmail.com>
Date:   2013-03-31 19:40:51 +0300

    contact list C-example: fix iterating
    
    Signed-off-by: Maksim Melnikau <maxposedon@gmail.com>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=62968
    Reviewed-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

commit a0f78fab8b33eae3855f905b99c2b6f2228eef2b
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2013-03-19 10:57:26 +0100

    Replace more printf() with DEBUG()

commit b105ec76bdc812cd83134618c216773466f18056
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2013-03-19 10:41:19 +0100

    GroupMixin: Use DEBUG() instead of printf()

commit 819310eaf22c882481ac72b44f07c6be9c7af3bf
Merge: 81b4e43cd a33573ff2
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2013-03-12 16:40:22 +0100

    Merge branch 'telepathy-glib-0.20'

commit a33573ff2c48b9ec37bb6c36801be3b80871e62b
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2013-03-12 16:25:43 +0100

    start_file_transfer(): unset timer_id

commit 81b4e43cd4a71dbd0cb71150ef6c7fcf3cbd77b1
Merge: e61dd1715 9ea571eca
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2013-03-12 15:19:44 +0100

    Merge branch 'telepathy-glib-0.20'

commit 9ea571eca7d12648776c7179255711dbdd9aac25
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2013-03-12 15:14:48 +0100

    file-transfer-chan: don't call start_file_transfer() after disposal

commit 348e79afabca8a1f292ccf69e932d48553103a80
Author: Thomas Bechtold <thomasbechtold@jpberlin.de>
Date:   2013-02-09 21:50:04 +0100

    Fix introspection annotations for GStrv types

commit e61dd171562690e6ab0cc411e048f7f511856e6e
Author: Thomas Bechtold <thomasbechtold@jpberlin.de>
Date:   2013-02-09 21:50:04 +0100

    Fix introspection annotations for GStrv types

commit 8198f852f26803285c14645b319c83d7e04e28d9
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2013-01-29 10:41:11 +0100

    README: LD_LIBRARY_PATH needs to be set for running introspection examples

commit 8608a306e80f3aec068c36c83e17f35c52df1381
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-01-28 14:01:10 +0000

    NEWS for master

commit fc5fdd26527e77f5f84a08f4475cc9984ccd7533
Merge: 18dd2cc61 bb3d4a427
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-01-28 13:52:17 +0000

    Merge branch 'telepathy-glib-0.20'
    
    Conflicts:
            NEWS

commit bb3d4a427f8bd28a83896e499b64755534de02c5
Merge: 949324dbc 55f725396
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-01-28 13:50:51 +0000

    Merge branch 'telepathy-glib-0.18' into telepathy-glib-0.20
    
    Conflicts:
            NEWS

commit 55f7253966837f86aa68eb56ed8df534c6484ac6
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-01-28 13:49:04 +0000

    NEWS for 0.18

commit 63af5af2a0179d37292c3c68bf5c5be9f05de62b
Author: Nuno Araujo <nuno.araujo@russo79.com>
Date:   2013-01-18 22:31:05 +0100

    Fix the build with automake 1.13
    
    In Automake 1.13, the long-deprecated macro AM_CONFIG_HEADER (deprecated
    since 2002) has been removed in favour of AC_CONFIG_HEADERS.
    
    Reviewed-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=59604

commit 18dd2cc616621f796bf1d1987e55b51eedca00b8
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2013-01-07 17:29:45 +0100

    TpAccount: implement change notification on uri-schemes property

commit 15b8eea5133e683ac14c79734dfbea6747af6e5f
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2013-01-07 17:07:50 +0100

    add TpAccount:uri-schemes: property
    
    The property was missing for some reason.

commit 16578d4864f04d26c05c94dbd4c6035ba728d55c
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2013-01-07 16:57:04 +0100

    simple-account: add tp_tests_simple_account_add_uri_scheme()

commit edd3e68fb24ffbeaf4b1073971bdecb0c4591a02
Merge: b3570e8e7 949324dbc
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2013-01-09 10:00:56 +0000

    Merge branch 'telepathy-glib-0.20'

commit 949324dbc3515e2cebced4a1a410c725896f4a6e
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2013-01-09 09:59:41 +0000

    Fix mistaken references to tp_connection_get_contact_by_id_async
    
    tp_connection_get_contact_by_id_async does not exist; it is called
    tp_connection_dup_contact_by_id_async.

commit b3570e8e77cb890c62744dc62859c49a6bebd8aa
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2013-01-08 09:59:13 +0100

    add missing config.h includes
    
    g_type_init() has been deprecated in GLib master. By including config.h we
    avoid the deprecation warning as it contains GLib's versions macros.

commit 3c76b3c7833675bf04e28575805da874f07bee51
Merge: 08a0b1b34 12e8b2155
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-01-07 13:03:09 +0000

    Merge branch 'telepathy-glib-0.20'
    
    Conflicts:
            NEWS

commit 12e8b215512e99b8f11a2800b8f9842c59dd38d6
Merge: 308408b98 a0f0298c9
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-01-07 11:55:28 +0000

    Merge branch 'telepathy-glib-0.18' into telepathy-glib-0.20
    
    Conflicts:
            NEWS

commit a0f0298c9a2c6b69c7a1d6f6098fc20be4b82483
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-01-07 11:53:50 +0000

    Update NEWS for 0.18.x

commit bc691e42d9e55ce6fe5030f898b8166b7e44d90b
Author: Maksim Melnikau <maxposedon@gmail.com>
Date:   2013-01-06 02:01:00 +0300

    fix segfault in got_contact_list_attributes_cb
    
    tp_simple_client_factory_ensure_contact returns NULL for protocols, if
    tp_connection_has_immortal_handles=0. Right now its happened for any
    telepathy-python based protocols (butterfly, sunsine, mixer).
    
    when tp_simple_client_factory_ensure_contact returns NULL,
    tp_simple_client_factory_ensure_contact just segfault in
    _tp_contact_set_attributes.
    
    lets assume that contact sometimes NULL here, and skip them
    
    Signed-off-by: Maksim Melnikau <maxposedon@gmail.com>
    [edited for coding style, added a comment -smcv]
    Reviewed-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

commit 08a0b1b3462a571a91d12ab63d3d5c17d9317c38
Author: Maksim Melnikau <maxposedon@gmail.com>
Date:   2013-01-06 02:03:36 +0300

    del unused magic import in ft-handler.py example
    
    1) it isn't used now
    2) it is prevents run example on machines, which hasn't magic
    3) magic(libmagic) isn't popular in various linux distributions
    
    Signed-off-by: Maksim Melnikau <maxposedon@gmail.com>
    Reviewed-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

commit ff1eea1e3abdc78665bb8b72c65bb19c8b1084b3
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-01-03 18:19:08 +0000

    NEWS for 0.21

commit 71ed6c18ca1c52d11256dadfbb4a2e530b5ae9c9
Merge: 8759a8f11 308408b98
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-01-03 18:18:39 +0000

    Merge branch 'telepathy-glib-0.20'
    
    Conflicts:
            NEWS
            configure.ac

commit 308408b98358b701a629b2b7821af81eaecc0239
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-01-03 18:17:31 +0000

    NEWS

commit 8759a8f11bb1b480b0beaf3754020dfec73572e0
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-11-09 17:37:38 +0000

    Add dbus-properties-mixin-internal.h to tarballs, fixing distcheck
    
    Cherry-picked: from commit 162f347d313608bd6ea7148813c9fef99a0dee81

commit 202e5adc9a6216688d57940f92e9a3fd5c3b50fc
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-01-03 11:40:46 +0000

    contact-lists test: add a regression test for fd.o #52011
    
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=52011
    Reviewed-by: Xavier Claessens <xavier.claessens@collabora.co.uk>

commit bbef06e7e6554850a9db6686ce19ad0cca39513f
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-01-03 11:02:52 +0000

    tp_base_contact_list_set_list_received: don't re-announce groups
    
    We already announced each group from tp_base_contact_list_groups_created
    a few lines ago; we don't need to do it again.
    
    Ideally we'd add each channel's members before announcing the
    channel itself, so that the channel is created "fully-formed"; but
    we've never actually done that, and keeping the first NewChannels
    instead of the second seems less likely to break applications.
    These channels are only for legacy code anyway: any modern client
    should be using the ContactGroups interface.
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=52011
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Xavier Claessens <xavier.claessens@collabora.co.uk>

commit f4634b2caf1f92f27a507207ff181d3a7927871f
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-01-03 12:33:09 +0000

    Make the code generation tools work under either Python 2 or 3
    
    They have been verified to produce identical output in _gen.
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=56758
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Xavier Claessens <xavier.claessens@collabora.co.uk>

commit 8058faf2407867dcda1aca35616dd23496b1b814
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2013-01-02 15:22:07 +0100

    text-channel: rename static vars/function to match the feature name
    
    The actual name of the feature is INCOMING_MESSAGE, not PENDING_MESSAGE.

commit 8da3211ce74e143f59973b8f2f17295b7165b22c
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   2012-12-29 11:41:50 +0000

    Add some missing (element-type) introspection annotations
    
    This fixes compilation with --enable-introspection when introspection
    warnings are treated as errors.
    
    Signed-off-by: Robert McQueen <robert.mcqueen@collabora.co.uk>
    
    https://bugs.freedesktop.org/show_bug.cgi?id=58851

commit fe88f67b789b7702d15866b80ebb989a28b6f7e6
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   2012-12-29 11:41:50 +0000

    Add some missing (element-type) introspection annotations
    
    This fixes compilation with --enable-introspection when introspection
    warnings are treated as errors.
    
    Signed-off-by: Robert McQueen <robert.mcqueen@collabora.co.uk>
    
    https://bugs.freedesktop.org/show_bug.cgi?id=58851

commit 4acc51d5b848359211bb8a00f0daa8e0bc44eb65
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-12-10 14:11:05 +0000

    Remove pkg-config dependency from .pc files
    
    This causes problems for Yocto, since they use pc files when choosing
    package dependencies. It doesn't make a huge amount of sense for a
    .pc file to depend on pkg-config: by the time you've parsed the file,
    you've got pkg-config. And the versioned dependency is checked by
    configure, as commit 1154794 (which added this) mentions, so if you've
    compiled telepathy-glib, your pkg-config is new enough.

commit 9197c36511e0fedd1cd32d99327a06ae3cd993d9
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-11-09 18:04:42 +0000

    Nano version

commit 162f347d313608bd6ea7148813c9fef99a0dee81
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-11-09 17:37:38 +0000

    Add dbus-properties-mixin-internal.h to tarballs, fixing distcheck

commit 6695cfc46050203ce1a4cc9bc0ab16285d8dc00f
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-11-09 17:25:08 +0000

    Prepare release 0.20.1

commit 48a6895f21fd3a3ef996e3e18ded4ed8a8f9f576
Author: Debarshi Ray <rishi@gnu.org>
Date:   2012-10-17 14:48:11 +0200

    base-call-channel: Don't call set_state from set_ringing and set_queued
    
    ... because they only change the flags and not the state. Instead emit
    CallStateChanged directly.
    
    Fixes: https://bugs.freedesktop.org/56044

commit dfca38a93e2c504c1a4643eec291c4ddb4368f4f
Author: Debarshi Ray <rishi@gnu.org>
Date:   2012-10-17 10:50:24 +0200

    base-call-channel: Ignore transitions with the same state
    
    Fixes: https://bugs.freedesktop.org/56044

commit 1dcb667751898544efad73b8e42d91ff58119e0d
Author: Debarshi Ray <rishi@gnu.org>
Date:   2012-10-17 14:48:11 +0200

    base-call-channel: Don't call set_state from set_ringing and set_queued
    
    ... because they only change the flags and not the state. Instead emit
    CallStateChanged directly.
    
    Fixes: https://bugs.freedesktop.org/56044

commit fd0448c174cfd169f297a8e3e306319806c4c074
Author: Debarshi Ray <rishi@gnu.org>
Date:   2012-10-17 10:50:24 +0200

    base-call-channel: Ignore transitions with the same state
    
    Fixes: https://bugs.freedesktop.org/56044

commit a7e61d16b9aadf1cf212d8fc40db33e7cb2bccf1
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-10-10 15:44:26 +0100

    add missing inclusion

commit 1c6846e925196b8286d96ee59a8f0636ee6f2a60
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-10-10 14:39:05 +0200

    Util: Link APIs to their bug for inclusion in GLib

commit e83233400f60acaac9838966b504801f00206132
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-10-10 14:15:01 +0200

    Deprecate tp_g_key_file_get_(u)int64, GLib has it since 2.26

commit acd25c4ddc583f4fbfe127c3dae2f3d5a1e58b03
Merge: b203d2368 ce8d1f6ed
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-10-08 16:22:16 +0100

    Merge branch 'telepathy-glib-0.20'

commit ce8d1f6edf9161df170bc781f903f85346ac5554
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-10-08 14:32:12 +0100

    tests/lib: define _TP_COMPILATION for the internal variant
    
    foo_CPPFLAGS overrides AM_CPPFLAGS, so if you want to include the latter
    in the former, you have to do it explicitly.

commit b203d2368f6f3d92d9be10b140be94dd00450a1d
Merge: 75a6ae1fe e39ce95db
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-10-08 13:26:41 +0100

    Merge branch 'telepathy-glib-0.20'
    
    Conflicts:
            NEWS

commit e39ce95dbf2b2c57fb4621291a450aa8584fb193
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-10-08 13:24:33 +0100

    NEWS

commit 5168e4145e4caf54b8b0a26f4268948edd8d9483
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-10-08 13:23:06 +0100

    self-handle test: test with a modern CM, not just an archaic one
    
    If we'd done this at the time, we wouldn't have broken SelfHandleChanged.
    
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=55666
    Reviewed-by: Xavier Claessens <xavier.claessens@collabora.co.uk>
    [g_debug -> DEBUG as per Xavier's review -smcv]

commit 99990babb32af5ebcf6912bb533ac001b12b085d
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-10-05 15:58:15 +0100

    _tp_dbus_properties_mixin_get_all: expose to internal code
    
    The self-handle test can't exercise certain situations without this,
    except by pretending to be an obsolete CM, which means we don't test
    the non-obsolete code path properly.
    
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=55666
    Reviewed-by: Xavier Claessens <xavier.claessens@collabora.co.uk>

commit 70cf7cfcc62418264e3aeb0c346857440a9dfd8f
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-10-05 16:06:43 +0100

    TpConnection: connect to SelfHandleChanged much earlier
    
    Previously, we only connected to it just before calling GetSelfHandle -
    but on the "modern" code path we no longer call that, because
    GetAll("...Connection") is just as informative. This meant we missed
    self-handle changes on modern connection managers.
    
    This was masked by the fact that the self-handle regression test
    deliberately breaks the "modern" code path, because some of its tests
    rely on GetSelfHandle being called.
    
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=55666
    Reviewed-by: Xavier Claessens <xavier.claessens@collabora.co.uk>

commit ab9489ed9e96b9b8cc3bfd9ee3fc18be22efb016
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-10-05 15:56:16 +0100

    Run the tests with G_MESSAGES_DEBUG=all
    
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=55666
    Reviewed-by: Xavier Claessens <xavier.claessens@collabora.co.uk>

commit 75a6ae1febed4ab47bbc090a5cc30627fe341458
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-10-04 15:08:37 +0200

    Add missing doc for TP_VERSION_0_22

commit cb289352235a5c53815bcaf542c9edbbbd325d4d
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-10-04 11:21:33 +0200

    Add defs for 0.22 branch

commit 5639838f829ef4ea38be2a6eaa30d87b15899c42
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-10-03 14:17:19 +0200

    start dev of 0.21.x

commit ed011cd34e0a3c8b6e6fbf6a695b62f0a0177d02
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-10-03 14:16:45 +0200

    Revert "Disable warnings about deprecated functions for stable branch"
    
    This reverts commit 74b79c60c152d7ac49f091c88c2001a6dcec93f1.

commit aba81b8599fca976d3d0313043d3ad2c1ce7d106
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-10-03 14:16:34 +0200

    Revert "Don't check documentation completeness in this stable branch"
    
    This reverts commit 860832b0521da2145e71bb2c06ff05b3a921c59f.

commit 66b0194a274f7503074f4062884ab6472de090e2
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-10-03 14:16:21 +0200

    Revert "Upload documentation to the 0.20.x location"
    
    This reverts commit 8a13206cedc749c301521f65b7f6f017fa39aee5.

commit dc6f2f106202da6903e49848272f49d171423366
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-10-03 14:12:58 +0200

    set nano version

commit 2c9b852db37f2ba1df678f94d6d9a6e93f0a0634
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-10-03 12:48:13 +0200

    prepare 0.20.0

commit 1bf52d3274028450a9d16a30ca663a411dc4a65e
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-10-03 09:56:51 +0100

    NEWS file for 0.20

commit 8a13206cedc749c301521f65b7f6f017fa39aee5
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-10-03 09:50:39 +0100

    Upload documentation to the 0.20.x location
    
    To be reverted in the 0.21 branch.

commit 860832b0521da2145e71bb2c06ff05b3a921c59f
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-10-03 09:49:33 +0100

    Don't check documentation completeness in this stable branch
    
    To be reverted in the 0.21 branch.

commit 74b79c60c152d7ac49f091c88c2001a6dcec93f1
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2010-04-06 12:33:21 +0100

    Disable warnings about deprecated functions for stable branch
    
    Since this is a stable branch, we're unlikely to fix uses of
    deprecated functions, so we shouldn't warn about them.
    
    To be reverted in the 0.21 branch.

commit ed43abb7603e1286dbcbefbad75f354a654cae37
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-10-02 16:15:53 +0100

    Bump libtool current/age even though nothing actually changed
    
    This is to compensate for 0.19.10, which should have incremented them
    (because it added API) but didn't.

commit 7c8d17cc9540823fa75b4ecfc6a431fdbc8712e2
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-09-26 16:10:30 +0200

    set nano version

commit 884e32afc11107aa8e12ff282a90c10113adba49
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-09-26 15:36:10 +0200

    prepare 0.19.10

commit d7d81d9d33f471bfaf45e70764b875600c41439e
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-09-26 15:46:31 +0200

    NEWS: add missing new API

commit 8fd76ceedfba306a72c1c962ab7d825c2232a05a
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-09-26 15:28:14 +0200

    update NEWS

commit 68022368089c6430df6577fd1718f75e60cdc57c
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-09-19 13:56:28 +0100

    tp_channel_dispatch_operation_get_channels: annotate return type, don't skip
    
    The justification for (skip)ing it is that it's just a binding for a
    property, but the underlying property is not useful from g-i due to
    a g-i limitation (GPtrArray properties can't be annotated with their
    element types, https://bugzilla.gnome.org/show_bug.cgi?id=663846).
    
    https://bugs.freedesktop.org/show_bug.cgi?id=55102

commit 3db2b44439ee7330eaa15ab374ebb033e8296063
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-09-19 12:12:40 +0100

    tp_message_set_variant: add and test
    
    https://bugs.freedesktop.org/show_bug.cgi?id=55096

commit 9720a304317d43b9ada1555b4542bcece7457c8a
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-09-19 12:06:00 +0100

    tp_message_dup_part: add
    
    https://bugs.freedesktop.org/show_bug.cgi?id=55096

commit 641b45d0a6ddadd4825a0efcb2f31ba0e666ea83
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-09-19 12:53:34 +0100

    tp_account_manager_create_account_async: document TpAccountRequest as an alternative
    
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=55099

commit b4012b9e337f10a60123ac76c44c68a83700face
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-09-19 12:52:43 +0100

    tp_account_channel_request_dup_request, request-vardict property: add
    
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=55099

commit 51487e6aa62e43661f32ec8055a8185d661cff49
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-09-19 12:26:09 +0100

    tp_account_channel_request_new_vardict: add
    
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=55099

commit 08fa36559db4ee3909c4f62e15fc2b64c0c181ab
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-09-19 12:13:01 +0100

    tp_account_channel_request_set_hints: document that set_hint is better for g-i
    
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=55099

commit 93dd462e247ee8138b5e5088c72a1f9d6be0d047
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-09-19 13:28:35 +0100

    tp_g_socket_address_from_g_variant, tp_address_g_variant_from_g_socket_address: add
    
    https://bugs.freedesktop.org/show_bug.cgi?id=55101

commit c7221bfbc3303cb32b2dd1fcc0cb500edb575ca6
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-09-19 14:20:51 +0100

    tp_channel_request_dup_immutable_properties: add
    
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=55101
    
    https://bugs.freedesktop.org/show_bug.cgi?id=55103

commit 69305347a64f5cb3ac69db067f525855f6eeaa9c
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-09-19 14:07:52 +0100

    tp_channel_request_dup_hints: add
    
    https://bugs.freedesktop.org/show_bug.cgi?id=55103

commit 3a7bc0a5b62c8eae5a3226ffbdfeffa7f1541e03
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-09-19 15:40:29 +0100

    TpDBusTubeChannel: add parameters-vardict
    
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=55095
    
    https://bugs.freedesktop.org/show_bug.cgi?id=55024

commit 426d2e6f389b5a691b6eb03a0a740bcbef173749
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-09-19 15:39:14 +0100

    TpStreamTubeChannel: add parameters-vardict and its getter
    
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=55095
    
    https://bugs.freedesktop.org/show_bug.cgi?id=55024

commit d7a526defeb0341805f739818e419c08cd47cf2a
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-09-19 15:17:51 +0100

    tp_contact_dup_location, TpContact:location-vardict: add
    
    https://bugs.freedesktop.org/show_bug.cgi?id=55095

commit 51c4234251cc7c263b54803d7c0211db0dc25fa2
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-09-19 15:12:50 +0100

    contacts test: correct comparison of locations
    
    The values are GValues, not strings.
    
    This only appeared to work by chance: struct _GValue starts with a GType,
    and G_TYPE_STRING is '@', so on little-endian platforms interpreting
    a GValue as a string gives { '@', 0, 0, 0 } = "@" and on big-endian
    platforms it gives  { 0, 0, 0, '@' } = "".
    
    https://bugs.freedesktop.org/show_bug.cgi?id=55095

commit c3ac127197aec474dd8533ad8943262bdd26aac8
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-09-19 13:08:32 +0100

    tp_base_client_add_observer_filter_vardict etc.: add
    
    https://bugs.freedesktop.org/show_bug.cgi?id=55100

commit 6d3c8df3cd918cf76abae7d5c43f84bfca6ed59d
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-09-20 13:44:01 +0200

    base-call-channel: include the expected and current state in Accept error message
    
    I'm debugging an Empathy call issue and this kind of info can be useful.

commit 1bbda3bc12ba8b22c7d004ca82915e35d7496c4d
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   2012-09-18 10:49:13 -0700

    Introspection: Fix build break
    
    Reviewed-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

commit 5882153f491a91ac28a62f1d7ead63888fd534ea
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-09-17 17:08:52 +0100

    NEWS

commit f77747947fa02ce9ff21ac866e07e10589cd1814
Author: Chandni Verma <chandniverma2112@gmail.com>
Date:   2012-09-17 21:00:52 +0530

    Add tp_dbus_tube_channel_dup_parameters_vardict()
    
    [applied with documentation adjustments -smcv]
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=55024
    Reviewed-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

commit 046f1e6139a1d2278d90566df475e15b2b9d2602
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-09-12 17:17:40 +0200

    Tests: check tp_vardict_get_foo() together with tp_asv_get_foo()

commit d1d2203333f47701b5887dde18a910c0ffaed7f9
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-09-12 12:57:43 +0200

    GVariant: Add tp_vardict_get_foo() similar to tp_asv_get_foo()

commit 51115c42577150c400a9785b77714efd442117a8
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-09-12 12:55:09 +0200

    Move GVariant utilities to variant-util.ch

commit 2f3d04a0fb793570967d2451c2ed3b6c6c0ea733
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-09-12 15:56:31 +0200

    channel-contacts: don't leak the result preparing group members

commit 08de9efcd7295f50d0883f048abfd00f3974502c
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-09-12 15:56:31 +0200

    channel-contacts: don't leak the result preparing group members

commit 0833a36225e9a4da6419c2bc3c26aa976d77e34c
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-09-11 13:16:08 +0200

    Bump nano version

commit 2126739841326c79f98ae795b3c962ad3a1d7884
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-09-11 12:49:12 +0200

    prepare 0.19.9 release

commit 6555f449c4b6490f08d7b2c8c523faa4c542b89d
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-06-08 16:28:49 +0200

    TpContact: do not override properties with attributes we didn't request
    
    We check wanted flags for everything but States and Groups, there is
    no reason for that. Besides, if we did not request those attributes,
    there are chances we didn't bind to change notification neither.

commit 0e224c223a3a78f20c3b940129c7bba84f815f6d
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-09-06 15:13:41 +0200

    TpHandleRepo: Deprecate tp_handle_set/get_qdata()
    
    https://bugs.freedesktop.org/show_bug.cgi?id=50886

commit 4770a0dd38909fb3f74f1e3436e4c628a7df3020
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-09-03 15:35:25 +0200

    Deprecate tp_channel_request_new() and tp_channel_dispatch_operation_new()
    
    Those constructors are useless because TpChannelRequest and
    TpChannelDispatchOperation objects are created internally by
    TpBaseClient and friends. Applications using the high-level API
    should never need them.
    
    Those constructors are harmful because they do not take a factory and
    they need a factory internally. This means that creating our own
    TpChannelRequest/TpChannelDispatchOperation will create our own
    account/connection/channel/whatever objects instead of sharing them.
    
    Internally we already have _new_with_factory() variant.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=49372

commit 29daab56223b7a2bb8c98e389aca85a2b8a0dcfb
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-09-10 17:03:25 +0200

    Do not include single headers in codegen
    
    Headers to use is caller's choice, like that tp-glib internal can use
    single headers while extensions can use global header.
    
    This also move command line headers to generated .h instead of .c

commit 6834819cccb408e6c44931b3cc6321018cbbfb56
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-09-10 17:02:40 +0200

    properties-mixin.h: This header should be include separately

commit 400cb44ea5b0175a07f98abe8a5c6c6b777e8aaa
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-09-07 16:47:24 +0100

    NEWS

commit 18f9679ecf30474e772ce2db852398b6e20dc18f
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-09-05 11:23:16 +0100

    Introspect util.[ch]
    
    Most of it is useless in non-C languages, so we (skip) it. However,
    tp_simple_async_report_success_in_idle(), tp_utf8_make_valid(),
    tp_escape_as_identifier() and the user-action-time functions all
    seem like useful things to have.
    
    The tp_g_value_slice_new() family confuses g-ir-scanner (which goes
    looking for a TpGValueSlice type), but they're all (skip)'d anyway,
    so #ifdef them out.
    
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Xavier Claessens <xavier.claessens@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=54543

commit 8f9b57121072744bb57dd4aa801589e156048072
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-09-05 11:15:00 +0200

    TpContact: Deprecate _get_ functions returning a GList and replace them by _dup_
    
    New transfer and naming policy has been discussed in
    https://bugs.freedesktop.org/show_bug.cgi?id=39189 and is
    documented there: http://telepathy.freedesktop.org/wiki/Style/TelepathyGLib

commit 8a628bd8efeee4fe359a72cf56bdde6350c024dc
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-09-05 11:15:00 +0200

    TpTextChannel: Deprecate _get_ functions returning a GList and replace them by _dup_
    
    New transfer and naming policy has been discussed in
    https://bugs.freedesktop.org/show_bug.cgi?id=39189 and is
    documented there: http://telepathy.freedesktop.org/wiki/Style/TelepathyGLib

commit cde6fbb93f2c1392e51f67f5d4d15b22ff48e307
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-09-05 11:15:00 +0200

    TpBaseClient: Deprecate _get_ functions returning a GList and replace them by _dup_
    
    New transfer and naming policy has been discussed in
    https://bugs.freedesktop.org/show_bug.cgi?id=39189 and is
    documented there: http://telepathy.freedesktop.org/wiki/Style/TelepathyGLib

commit a934de9b7cdec5204046dacf38afcac9a12eef69
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-09-05 11:15:00 +0200

    TpAccountManager: Deprecate _get_ functions returning a GList and replace them by _dup_
    
    New transfer and naming policy has been discussed in
    https://bugs.freedesktop.org/show_bug.cgi?id=39189 and is
    documented there: http://telepathy.freedesktop.org/wiki/Style/TelepathyGLib

commit 53e5e36d9fa59d62f0ae99caaca3a8ac9d67a1bc
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-09-05 11:15:00 +0200

    TpContactSearchResult: Deprecate _get_ functions returning a GList and replace them by _dup_
    
    New transfer and naming policy has been discussed in
    https://bugs.freedesktop.org/show_bug.cgi?id=39189 and is
    documented there: http://telepathy.freedesktop.org/wiki/Style/TelepathyGLib

commit 53e05b8c3dc0a09d79724142d8013224520cd449
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-09-05 11:15:00 +0200

    TpConnection: Deprecate _get_ functions returning a GList and replace them by _dup_
    
    New transfer and naming policy has been discussed in
    https://bugs.freedesktop.org/show_bug.cgi?id=39189 and is
    documented there: http://telepathy.freedesktop.org/wiki/Style/TelepathyGLib

commit 8a541d754eddda27039cf759c7228bf2e7f8a10c
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-09-05 11:15:00 +0200

    TpProtocol: Deprecate _borrow_ functions
    
    New transfer and naming policy has been discussed in
    https://bugs.freedesktop.org/show_bug.cgi?id=39189 and is
    documented there: http://telepathy.freedesktop.org/wiki/Style/TelepathyGLib
    
    There is intentionally no tp_protocol_get_params() because it is internally
    an unintrospectable C-array, so a proper container needs to be created. In
    next branch they are internally in a GPtrArray so a _get_ function could
    be added.

commit 93409a1f9ca16777e544e6c5da8bdec18b4bdd8f
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-09-05 11:15:00 +0200

    TpDispatchOperation: Deprecate _borrow_ functions and replace them by _get_
    
    New transfer and naming policy has been discussed in
    https://bugs.freedesktop.org/show_bug.cgi?id=39189 and is
    documented there: http://telepathy.freedesktop.org/wiki/Style/TelepathyGLib
    
    There is intentionally no tp_dispatch_operation_get_immutable_properties()
    since those are internal implementation detail. Individual property getters
    should be enough.

commit 050fedeeacb312b99cf82482fa4aeea55194765e
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-09-05 13:02:41 +0200

    TpChannel: Deprecate _borrow_ functions and replace them by _get_
    
    New transfer and naming policy has been discussed in
    https://bugs.freedesktop.org/show_bug.cgi?id=39189 and is
    documented there: http://telepathy.freedesktop.org/wiki/Style/TelepathyGLib
    
    _tp_channel_get_immutable_properties() is kept internal because we don't
    want to expose more dbus-glib structures. tp_channel_dup_immutable_properties()
    is added, it returns a GVariant and should be needed only to TpChannel
    subclasses.

commit fad8f1f85525c1bf698240af6e6bad0cd3636a57
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-09-05 11:15:00 +0200

    TpProxy: Deprecate _borrow_ functions and replace them by _get_
    
    New transfer and naming policy has been discussed in
    https://bugs.freedesktop.org/show_bug.cgi?id=39189 and is
    documented there: http://telepathy.freedesktop.org/wiki/Style/TelepathyGLib

commit 625f553077d234316b81ae81f399c99917217ae7
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-09-05 11:11:41 +0200

    Modernise GList usage
    
    We can use g_list_free_full and (_tp_)g_list_copy_deep in more places

commit 3df9ac884e876dc685951556a28c0f085e3938a3
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-09-05 10:53:22 +0200

    Util: Add _tp_g_list_copy_deep()
    
    This implementation is less optimized than g_list_copy_deep() because it
    iterates the list twice. But it will be removed once we depend on
    glib 2.34

commit 4c886ee65c1e74ceb866f9d8b94d05cd1b0ab254
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2012-09-03 11:14:34 +0200

    Fix retrieving the remove contact from a MediaDescription hash
    
    Correctly get the remote contact handle out of the MediaDescription
    hash, it's an a{sv} not string => uint32.
    
    Reviewed-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=54425
    
    Conflicts:
            telepathy-glib/base-media-call-content.c

commit f55630f7da156b0773e999ac70916d340f7b23e0
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2012-09-03 11:10:01 +0200

    Fix incorrect error on UpdateLocalMediaDescription
    
    Remove the code that errors out a local description update if there is
    *any* outstanding offer. A bit later in the same function a proper check
    is done to see if there is a offer for the update contact, which is
    correct.
    
    Conflicts:
            telepathy-glib/base-media-call-content.c

commit a04137272f0468fc1f4904280a02633cea60c998
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2012-09-03 11:14:34 +0200

    Fix retrieving the remove contact from a MediaDescription hash
    
    Correctly get the remote contact handle out of the MediaDescription
    hash, it's an a{sv} not string => uint32.
    
    Reviewed-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=54425

commit 680a5dd2a492078a0cc497502aab1d81cdba39ac
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2012-09-03 11:10:01 +0200

    Fix incorrect error on UpdateLocalMediaDescription
    
    Remove the code that errors out a local description update if there is
    *any* outstanding offer. A bit later in the same function a proper check
    is done to see if there is a offer for the update contact, which is
    correct.

commit 8c682d0122b066ad69cc7106884f383563c2ba6d
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2012-08-31 15:33:08 +0200

    tls-certificate test: GBytes aren't 0 terminated

commit f59f0ef8f7966733385e545c4c2d702425d1efd1
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-08-31 12:36:31 +0200

    Bump nano version

commit 79e202509ce1ddf470dd856d71aa542f3953c3ca
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-08-31 12:22:47 +0200

    Prepare 0.19.8 release

commit 84f63e56bbc5f32c418d8112b32574f62588b000
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-08-30 19:23:08 +0100

    lcov: add a holding page for lcov reports
    
    When lcov fails on the buildbot let's upload /something/.
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 273cf5ca055378ddb4093a4b5addf039b750832d
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2012-08-30 11:07:17 +0200

    Set the ChannelRequests immutable properties when observer channels
    
    When ObserveChannels comes in we are given all the immutable properties
    for the statisfied requests straight away, so lets use them as well.
    This prevents poor application authors from being confused about their
    hints not coming through in their observer.

commit b6342b5b39d5f0cd02e2580ddc569d0eeb9e8c72
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2012-08-30 10:08:15 +0200

    Set the ChannelRequests immutable properties when handling channels
    
    When HandleChannels comes in we are given all the immutable properties
    for the statisfied requests straight away, so lets use them as well.
    This prevents poor application authors from being confused about their
    hints not coming through in their handler.

commit 6a1bdcf39bb16c77b25004b77c9272f3dfe0af3d
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2012-08-30 09:29:30 +0200

    Add tp_account_channel_request_set_hint API
    
    And an easy and bindable API to add a single hint to the hints
    dictionary

commit 5ce5818887f0d72a5e615c5e293e3eae39965394
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-08-28 11:54:03 +0100

    start on version 0.19.8
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 3ec4ea8efdfccad9fa5bfc0c90dd84ffdb002a9f
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-08-27 18:08:08 +0100

    version 0.19.7
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 54e3a228f78adb668b51ab1249fe6d60ecad0732
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-08-27 18:04:51 +0100

    NEWS: updated
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 1a4d0f347efae2d4d7e8a8523ea8280086867d34
Merge: f2089116f 926ddbefa
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-08-27 17:55:54 +0100

    Merge branch 'base-channel-disappear'

commit f2089116f3e01d4797d2eaf96e35b67312330084
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-08-13 11:26:40 +0100

    configure.ac: use AS_CASE instead of case/esac
    
    This is the same as AS_IF, but for "case". It's safer for the same
    reasons.
    
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Jonny Lamb <jonny.lamb@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=53445

commit 496b900156a853ca0ccf55b89736588ed3717f70
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-08-13 11:26:06 +0100

    configure.ac: use AS_IF instead of if/then/[else/]fi
    
    AS_IF is always safe, whereas if/fi usually works in practice, but
    sometimes fails to do the right thing with Autoconf macro dependencies.
    
    See <https://bugzilla.gnome.org/show_bug.cgi?id=681413> for more
    information.
    
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Jonny Lamb <jonny.lamb@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=53445

commit facbaeaa87dcfbe4af811af4bac344225bc855e8
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-08-13 11:20:29 +0100

    configure.ac: don't rely on test -a
    
    test EXPR -a EXPR is a common extension (present in bash, dash etc.), but
    is not guaranteed by POSIX.
    
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Jonny Lamb <jonny.lamb@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=53445

commit 1090f37723ace6343cc6d24871390005ce435e1f
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-08-13 10:59:41 +0100

    NEWS

commit 66bfce2b467bb8873e8c88c7f70561637e03a81a
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-08-13 10:58:39 +0100

    NEWS

commit 505fe8deebb5d45dbc6dc19c741c57b525fe8f50
Merge: e29320964 21d9f3824
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-08-13 10:56:31 +0100

    Merge branch 'telepathy-glib-0.18'
    
    Conflicts:
            NEWS
            configure.ac

commit e293209646eee5b6c3c00f8644e627db31d843de
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-08-06 09:19:40 +0100

    Don't have a second copy of the TpBaseConnection typedef
    
    N1570 (C11 final draft) §6.7.3 says this usage is valid[1] so modern
    gcc doesn't have an option to even warn about it, but this is a recent
    change to the C standard, and older compilers like the one in the
    Android NDK treat it as a fatal error.
    
    [1] "a typedef name may be redefined to denote the same
    type as it currently does, provided that type is not a variably
    modified type"
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=53100
    Reviewed-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 21d9f38246c9c11307e9b170ebf0e8589909faa3
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-08-07 10:07:50 +0200

    tp_account_dup_storage_identifier_variant: deal with storage_identifier being NULL
    
    https://bugs.freedesktop.org/show_bug.cgi?id=53201

commit 1af70f08af087ec452fdd0fc17d8dd2d3391994c
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-08-07 10:07:50 +0200

    tp_account_dup_storage_identifier_variant: deal with storage_identifier being NULL
    
    https://bugs.freedesktop.org/show_bug.cgi?id=53201

commit 153f645a95456c10aa0c90dd084246a7c7798bf0
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-08-06 16:09:50 +0200

    set nano version

commit 4c6f55112a8542035ba8311cdd3456c6b7673f1b
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-08-06 15:33:36 +0200

    prepare 0.19.6

commit 48cfae7dfe818c39835d609933e9db12a3bdc573
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-08-02 15:24:41 +0200

    add tp_account_manager_can_set_default()
    
    When creating/editing an account, the Ubuntu Online Accounts panel loads the
    relevant plugin dynamically. In order to work properly, this plugin has to
    define the default AM with some features. But
    tp_account_manager_set_default() can only be called once, later calls
    resulting in critical warnings. By using tp_account_manager_can_set_default()
    the plugin can check if the default AM has already be defined or not.

commit ae5de32be39b2dbb6df88033e74ac792ad4ace84
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-07-31 20:54:31 +0200

    BaseChannel: assert that the subclass sets TargetHandleType
    
    If the subclass sets the channel's target handle, then it had better set
    the target handle type in the klass. I got this wrong when porting Idle
    to TpBaseChannel.
    
    Fist-bumped-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 7e57a020c356778ef0ee009abab734b385cacc4f
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-07-28 11:15:07 +0200

    set nano version

commit 19cb443d1a7accc92934e6fc89c4e3962caf2ff3
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-07-05 15:29:58 +0200

    Make sure "make -j3 maintainer-foo" works

commit 8392229d6cf825198bb0cbeb706ed0900f962112
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-07-28 10:52:01 +0200

    prepare 0.18.2

commit 25dee6daf0cd5fcf72e0fb204c85074119e4af1d
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-07-26 11:50:48 +0100

    NEWS

commit fbacc9202217a86da303df05d881bfefe6385bd9
Author: Ross Burton <ross.burton@intel.com>
Date:   2012-07-25 12:58:16 +0100

    Fix a race in _gen/reentrant-methods.list
    
    Very occasionally, a parallel build will fail like this:
    
    | Making all in telepathy-glib
    | make[2]: Entering directory `/buildarea1/yocto-autobuilder/yocto-slave/nightly-x86/build/build/tmp/work/i586-poky-linux/telepathy-glib-0.19.2-r0/telepathy-glib-0.19.2/telepathy-glib'
    | /bin/mkdir -p _gen
    | ( cd . && cat versions/0.7.0.abi [...] versions/0.19.2.abi  ) | \
    |               /bin/grep '^tp_cli_.*_run_.*' > _gen/reentrant-methods.list.tmp
    | /bin/sh: line 1: _gen/reentrant-methods.list.tmp: No such file or directory
    | make[2]: *** [_gen/reentrant-methods.list] Error 1
    
    It's doing the mkdir and the subshell in parallel, when the mkdir should be done
    first.  Add an explicit dependency on spec-stamp to reentrant-methods.list to
    ensure the ordering.
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=52480
    Reviwewed-by: Jonny Lamb <jonny.lamb@collabora.co.uk>
    Reviwewed-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

commit 38ca0a65e896c3af583b0c2ece61bc717746cd06
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-07-24 16:50:24 +0200

    Bump nano version

commit 746ff16c0d9bfd4e234e2066a49dec5a2f21624f
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-07-24 16:25:18 +0200

    Prepare 0.19.5 release

commit bf772bf88572d235e905eea9a67e168b886bf670
Merge: 523691b44 e2f99aa39
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-07-24 16:17:38 +0200

    Merge branch 'telepathy-glib-0.18'

commit e2f99aa39425dd3431e9cd8d09fb3b144c1ab0a7
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-07-24 15:28:00 +0200

    tp_connection_upgrade_contacts(): Use special trick of ready_enough_for_contacts
    
    TpConnection itself wants to prepare TpContacts before being officially
    CONNECTED. This was already the case for self contact. Use the same
    trick for blocked contacts.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=52441

commit 523691b44584947b25ce1e93a0191e60c60ca78f
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-07-24 13:45:25 +0200

    TpAccountManager: set the requested presence on newly created accounts

commit 505403d253c7071ab081cc258827b605a6ed93b0
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-07-19 12:36:00 +0200

    set nano version

commit f01424d595211eff173e4ca1cda9d89f11d48493
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-07-19 12:21:21 +0200

    set UNRELEASED versions

commit 70f4a3665d14868653e2f99b0fa77b6a81293ca1
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-07-19 12:04:36 +0200

    prepare 0.19.4

commit 8dd23a0617edfc8fbc9adf1c855834ccd60ff531
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-07-17 15:51:59 +0200

    add tp_account_request_set_storage_provider()

commit 248a1c9c0dc909e6ebd4bf93d3f83b873a697f06
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-07-17 15:40:59 +0200

    account-request: add missing 'service' getter

commit b0e97c3827c4f5da668e0472afa0f02f7b533a47
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-07-10 15:24:08 +0100

    base-connection: return from RequestHandles if called with no names
    
    Since we added async handle normalization functions, RequestHandles(1, [])
    would just not return at all.
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 4e35e0198e6a21d68f25adfe896f50afa74e3f2b
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-07-10 16:18:01 +0200

    Fix some gtk-doc errors

commit 932a5758b82c9440d482694e66a80b0dcabba561
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-07-09 16:38:27 +0100

    base-{connection,protocol}: be sure to add new class members to the end of the struct
    
    I already removed the padding (in c14d25b4bf4 and 436219789348) so
    just re-arrange the struct.
    
    D'oh.
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 528770ed041b494a23dc00b4e0b1f5b4ee5c75f9
Merge: 8e5090498 ec9a04f13
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-07-06 17:01:50 +0100

    Merge branch '51441-get-interfaces'
    
    Conflicts:
            telepathy-glib/base-connection-manager.c
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit ec9a04f139900957a59630a7f74015f55dffe100
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-07-05 16:52:51 +0100

    example protocols: update to use get_interfaces_array vfunc
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 43621978934824f2b6815ef5d5e20887d59bca28
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-07-05 16:48:36 +0100

    base-protocol: add get_interfaces_array vfunc to class struct
    
    This is a lot like 74bd945252, but we're having to deal with another
    older get_interfaces vfunc, which is slightly annoying.
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit c14d25b4bf471b7d9797e097d4318af4b9da001c
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-07-05 16:04:46 +0100

    fixup! bcde9c87323454f946be989825b2dc74f61d16f7
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 05ea1395d99b67e8569dd6e50ec99b782b72ea08
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-07-05 15:56:12 +0100

    base-connection: simplify add_interfaces
    
    Calling set_size on the GArray is a little overkill.
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 6b037b43df5104636f58ab0a3e10c075012feee5
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-07-05 15:54:52 +0100

    base-connection{,-manager}: seal old interfaces members
    
    gtk-doc gets confused, so they've been removed from the docs. See
    also: e8f9a27a388e21
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit aaea3147323cd1ad1b67e17c06504a5a6d6517cc
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-07-05 15:05:34 +0100

    example & test connections: update to use new get_interfaces… vfunc
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit bcde9c87323454f946be989825b2dc74f61d16f7
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-07-05 15:04:00 +0100

    base-connection: add get_interfaces… vfunc to class struct
    
    This is a lot like 74bd945252.
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 245d48040d0b52aab05b57c7c859b4118b0af776
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-07-04 17:58:16 +0100

    base-room-config: fix old comment referring to TpBaseChannelClass.interfaces
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 8e509049846753db229d49465a85442d9dc7a009
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-07-05 15:40:16 +0200

    Bump nano version

commit dc783450b25d72b452dd15ac121f495beac1f436
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-07-05 15:29:58 +0200

    Make sure "make -j3 maintainer-foo" works

commit c575eec33ddd04ea25dd30cd97076092c8610963
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-07-05 14:30:22 +0200

    Release 0.19.3

commit e8f9a27a388e2123a3281d610acbcd6a4b17d9a1
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-07-05 14:23:46 +0200

    Remove from doc sealed fields
    
    Otherwise gtk-doc gets confused

commit 19fd0c69ae3d557f9ed430ecced67701ec6a8c9f
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-07-04 17:57:38 +0100

    base-connection-manager: add get_interfaces vfunc to class struct
    
    This is a lot like 74bd945252.
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit ac0a38eb86993bb2b223f08d3402ff9e1d4be27a
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-06-27 11:18:17 +0200

    TpBaseClient: Ensure that the Connection knows its Account early
    
    This fixes a crash in empathy-chat:
     https://bugs.freedesktop.org/show_bug.cgi?id=51444

commit ae6497b99573a0bed78660f739a1a7937e2b2c10
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-06-27 11:08:59 +0200

    TpBaseClient: refactor code that create TpAccount, TpConnection and TpChannels

commit 1fb96194bee4fa3af2230d996541f7474bf76600
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-05-23 10:58:20 +0200

    NEWS

commit 50fdb9d38694d620dbe49ff00572df1e54454052
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-05-16 13:10:31 +0200

    Deprecate tp_account_new(), tp_connection_new() and tp_*_channel_new()
    
    Those proxies should be constructed using TpSimpleClientFactory
    
    https://bugs.freedesktop.org/show_bug.cgi?id=49372

commit be781d63238f4eb55a334508c6073101d01a4ab0
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-05-16 14:37:29 +0200

    tests/lib: Stop using tp_connection_new()
    
    https://bugs.freedesktop.org/show_bug.cgi?id=49372

commit 633b26af12ce440481b75ec4ce7ab9786033bc9a
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-05-16 14:24:32 +0200

    Examples: stop using tp_account/connection/channel_new()
    
    https://bugs.freedesktop.org/show_bug.cgi?id=49372

commit db27aa71a3aad393d971eefebac3b6bc03d49f3c
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-06-07 17:10:39 +0200

    TpConnectionManager: deprecate "connection-manager" and add "cm-name"
    
    Otherwise we could assume they are returning TpConnectionManager objects.
    This is more consistent with TpProtocol, TpConnection and TpAccountRequest API.

commit d0335d2645f365834e313c086d0fe30ce7798d09
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-06-07 17:10:39 +0200

    TpAccount: deprecate "connection-manager" and "protocol" and add "cm-name" and "protocol-name"
    
    Otherwise we could assume they are returning TpConnectionManager/TpProtocol objects

commit 5763dc9c9bce465c7cffbfa29a6403496363f70f
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-06-07 16:45:16 +0200

    TpConnection: deprecate connection-manager-name and add cm-name
    
    This is to be consistent with TpProtocol naming.

commit 9af5fe5b99a6446311660250a605abdcb5e4f353
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-06-07 16:39:34 +0200

    TpConnection: trivial coding style fix

commit 2604065abb90f022559a0910462cc13e88d31520
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-06-29 15:02:32 +0200

    Set nano version

commit 126a920d666bda09e4d38f06aec88acea6de24fa
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-06-28 14:31:47 +0200

    Release 0.19.2

commit 3f9776806675c1b7e3ded4ac3d1b95577af6ce97
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-05-29 13:28:38 +0200

    TpBaseConnection: use tp_handle_ensure_async() in RequestHandles
    
    https://bugs.freedesktop.org/show_bug.cgi?id=50341

commit 78b16657eb08322a36816b05f60d68dc6bb2f754
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-05-29 13:27:21 +0200

    TpContactsMixin: use tp_handle_ensure_async() in GetContactByID
    
    The identifier is most probably provided by the user, it could need
    server-side normalization.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=50341

commit 6b1bbb146e12426d3bda22b9281c83abbe4cc38a
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-05-29 13:25:13 +0200

    TpDynamicHandleRepo: Support async normalization function
    
    Override TpHandleRepoIface::ensure_handle_async() and use an
    user provided async normalization function.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=50341

commit 005b08101e316ac0bdf375f18cc75df7f6990857
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-05-29 12:52:42 +0200

    TpDynamicHandleRepo: factor out ensure_handle_take_normalized_id()
    
    https://bugs.freedesktop.org/show_bug.cgi?id=50341

commit 25a3af6923d9e17ff4d6ae3e1bcf9322e7da3731
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-05-29 12:49:39 +0200

    TpHandleRepoIface: add tp_handle_ensure_async()
    
    A default implementation is provided that just use tp_handle_ensure()
    and return the handle in an idle callback.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=50341

commit 9b28efdc5aa735dd5482f0f050031594f20d3e9a
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-05-29 10:14:50 +0200

    TpHandleRepoIface: Use G_DEFINE_INTERFACE
    
    https://bugs.freedesktop.org/show_bug.cgi?id=50341

commit 16b839c3490a081ae9583dc08d4fcb0f6d818b4c
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-06-26 13:15:39 +0200

    TpBaseChannelClass: Seal interfaces member
    
    It is deprecated and should not be used anymore.

commit 94bb7f4948a25a583c62ff61f6c66098a87820c5
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-06-26 12:54:59 +0200

    TpBaseConnectionManagerClass: Seal protocol_params and new_connection members
    
    Those 2 struct members are now deprecated and implementations should
    use TpBaseProtocol API instead.

commit f8dbd199da1a7c4b3f67775ef854a00dd3cf109c
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-06-20 11:07:40 +0200

    debug-client: propagate error if GetMessages() failed
    
    https://bugs.freedesktop.org/show_bug.cgi?id=51250

commit 1dffa0c38b208bf7b463f4614d4c5e8abd8edd14
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-06-06 16:39:48 +0200

    set nano version

commit 227d29086df4b4d40fd201ec6e0924a2559692d2
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-06-06 16:11:47 +0200

    Prepare 0.19.1

commit 65d59a833bb1a6ec388b06c39d9c0bd28d529f9d
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-06-06 15:59:35 +0200

    Revert "Enable SEAL by default if we warn for 0.20 deprecations"
    
    This reverts commit bf7e97c45adc04e46118aed0cd449bdc2fa84d6e.

commit 2ea0c999ab61ebaed883a69f207fe9ca3979dce0
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-06-06 15:57:14 +0200

    NEWS

commit 5d3655176a44bae0e442392a5cf8db70bfbad879
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-06-06 11:49:43 +0200

    fix typo in TpConnectionManagerParam's doc

commit 926ddbefa79a5b660bbb170a056588a20e7b991a
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-06-05 16:27:13 +0100

    text-respawn test: add a disappearing base channel test
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 8ff2818f0e663c5db1d5d7819d13185397bc2b8b
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-06-04 17:16:09 +0100

    base-channel: add support for 'disappearing' channels
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 3bfa39887625370541e0c654356124ec1ba24501
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-06-05 12:18:16 +0200

    Remove useless TP_SEAL_ENABLE

commit bf7e97c45adc04e46118aed0cd449bdc2fa84d6e
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-06-05 10:27:43 +0200

    Enable SEAL by default if we warn for 0.20 deprecations

commit d0fbd7d4c7434fa7e8ba27695ad924bab9ef5fd8
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-06-05 13:07:46 +0200

    Fix regression introduced by 1aba6b49919a9ac68671fc49a525e48ccfa75c57
    
    G_GNUC_END_IGNORE_DEPRECATIONS is considered the instruction to run
    for the if. So the block following is executed unconditionally.

commit a6365ee7a9d657cfc388c0ae5dfedea675a200b5
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-06-04 19:28:08 +0200

    Examples: disable single include
    
    https://bugs.freedesktop.org/show_bug.cgi?id=49384

commit 05287db8a5d4557435356df0fcd6e1cf202e6503
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-05-30 11:34:17 +0200

    Add single-include #error in all headers included from telepathy-glib(-dbus).h
    
    https://bugs.freedesktop.org/show_bug.cgi?id=49384

commit d95d44bd327d96c5936deee1a3d970bcf27f29d0
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-05-30 13:37:53 +0200

    Consider proxy-subclass.h as a meta header
    
    That header can be included directly, so proxy.h would #error.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=49384

commit 2997e979daa03a66a3063df2b785361b193f07af
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-05-30 13:36:17 +0200

    Example extensions: include global header
    
    https://bugs.freedesktop.org/show_bug.cgi?id=49384

commit 6342f7890a21ac245bed5c90e957eaa4b73af4a3
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-05-30 13:34:17 +0200

    Examples: do no use message-internal.h
    
    https://bugs.freedesktop.org/show_bug.cgi?id=49384

commit f91d0476422666818bc2a61521406e9006b60eca
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-05-30 11:35:01 +0200

    define _TP_COMPILATION in gir scanner
    
    Otherwise upcoming single-include #error will break the scanner
    
    https://bugs.freedesktop.org/show_bug.cgi?id=49384

commit 4acfebcc2020de2376eac55787b0b6f0747ca607
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-05-30 12:14:58 +0200

    meta-headers: #define _TP_IN_META_HEADER for future single-include guards
    
    https://bugs.freedesktop.org/show_bug.cgi?id=49384

commit b3d0c00e584c5b97b79939ed5a699379a8bcd961
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-06-05 10:46:34 +0200

    text-mixin: use versioned deprecation macros
    
    https://bugs.freedesktop.org/show_bug.cgi?id=50712

commit 1aba6b49919a9ac68671fc49a525e48ccfa75c57
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-06-05 10:44:57 +0200

    Ignore deprecations in TP_BASE_CONNECTION_ERROR_IF_NOT_CONNECTED
    
    This macro is now implemented using in tp_base_connection_check_connected()
    which is annotated with _TP_AVAILABLE_IN_UNRELEASED, but we shouldn't raise an
    error if app don't want to use 0.20 API yet.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=50712

commit 1fea0da192332a8856e01b62a0d6c30a420220d4
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-05-04 16:45:13 +0100

    TpConnectionManagerProtocol: deprecate in favour of TpProtocol

commit 108d7eeed14dc64c6d3a3c16701658b8553d7270
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-05-04 16:47:13 +0100

    Deprecate tp_list_connection_managers

commit d9a08300e0559a90ed9853665e0d92b783b6dbe4
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-06-04 14:30:48 +0200

    Examples: Stop using tp_connection_manager_protocol_*
    
    They are soon to be deprecated

commit 6d179e6e6ead222f7d8c1b0f3e16a30571014303
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-06-04 14:30:28 +0200

    Examples: Stop using tp_list_connection_managers()
    
    It is soon to be deprecated

commit c31f0ea8cd559442fab46d1c82077dde457633df
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-06-04 15:15:25 +0200

    Fix typo making gtkdoc fail

commit 000329f27eed1fd13d7499ac2851583c778659f9
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-06-04 14:58:30 +0200

    Fix regression in unit tests
    
    The bug was introduced in commit 97755a8cef146519f688054d1bafe22f40bc17ff

commit 34c3c06a6d37ca0ec7aad18500e7695624fb3316
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-06-04 13:54:19 +0200

    NEWS

commit 7bb3148850a70ff1d826792fab611dc7e5c17aad
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-05-04 16:47:49 +0100

    Compile all examples with TP_SEAL_ENABLE
    
    The only changes needed were in extended-client.c.

commit 0952f8d1ab6ec5735fb74243a3adfffbf2b81cd0
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-05-07 14:11:44 +0100

    TpBaseConnection: seal struct fields

commit 3a0ec556a6819d2ca1945b1def4dbacb534f0053
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-05-04 16:45:44 +0100

    TpConnectionManager: seal struct fields and do not document them
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=17112

commit cacba6db63a23df79f67eb149cedecfe1af052e2
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-05-04 16:41:21 +0100

    TpConnectionManagerParam: seal struct fields
    
    We have accessors for all of them, and the GValue is going to be a
    problem as we move towards GVariant.

commit 1e9f3817245a25daa2c5829210f7170bca680007
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-05-04 16:40:30 +0100

    TpProxy: seal struct fields
    
    They were officially already private.

commit a4e63aa59420a80ce6c3227c048f4aafe0359c1b
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-05-04 16:39:59 +0100

    Add _TP_SEAL, controlled by TP_DISABLE_DEPRECATED or TP_SEAL_ENABLE

commit 97755a8cef146519f688054d1bafe22f40bc17ff
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-05-07 14:08:50 +0100

    Use accessors rather than accessing TpBaseConnection fields directly

commit 5f90a8dd35be28392615de7ba15f1d552ea5c477
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-05-07 14:02:45 +0100

    TpBaseConnection: add method accessors for struct fields

commit aa7b5e8d093c3224143659302af38eb286c94e5e
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-06-01 18:30:48 +0200

    Rename _tp_contact_connection_invalidated to _disposed
    
    That function is called from TpConnection::dispose, not when invalidated
    
    https://bugs.freedesktop.org/show_bug.cgi?id=49373

commit d426569b302164130ad97aa44c804c1347e70f74
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-06-01 17:26:59 +0200

    TpConnection: Fix leaked result when preparing contact-list feature
    
    https://bugs.freedesktop.org/show_bug.cgi?id=49373

commit 32c94d6df1041d3428effa555979432c04dfad69
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-06-01 17:25:22 +0200

    Small coding style fix
    
    https://bugs.freedesktop.org/show_bug.cgi?id=49373

commit 7aeafd996d5623a781e564f3ae3d485a6ee3a202
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-06-01 17:17:42 +0200

    TpConnection: remove check for CONTACTS interface when preparing roster
    
    In tp_connection_list_features() it is already said that CONTACTS iface
    is required to prepare CONTACT_LIST feature. So the extra check is
    useless.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=49373

commit 61971a97a59783b5a3eb6b918370c7a129224f93
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-05-23 10:37:47 +0200

    NEWS

commit 34e26d7b904443d8421c606923aa01728fb8898c
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-05-18 20:02:12 +0200

    Deprecate tp_account_parse_object_path()
    
    https://bugs.freedesktop.org/show_bug.cgi?id=49372

commit 951c6fcf9292f451d3bd977dc90a01444db2c9f5
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-05-18 20:03:39 +0200

    Deprecate tp_account_ensure_connection()
    
    https://bugs.freedesktop.org/show_bug.cgi?id=49372

commit 947b96fd587d13f657077f7e3479fb135bf38858
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-05-16 13:15:12 +0200

    tp_simple/automatic_client_factory_new: allow NULL TpDBusDaemon
    
    https://bugs.freedesktop.org/show_bug.cgi?id=49372

commit e54e1dd4fd5a09fd02d1cbf278eb615c1edeed36
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-05-22 16:38:09 +0200

    Fix include path to work in folks copy

commit 5783bcb85fce37e06851fe370a54e3d91857a426
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-05-15 16:12:14 +0200

    Add tp_simple_client_factory_upgrade_contacts_async/finish
    
    Use it everywhere we can

commit 3103f894f39be73f755d999e91ef43d7f3488a6f
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-05-15 15:48:13 +0200

    Add tp_simple_client_factory_ensure_contact_by_id_async/finish

commit 153c9d799b39440f5d7bcbfa23757c6316f3f753
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-05-14 13:44:24 +0200

    Deprecate tp_connection_parse_object_path()
    
    We have tp_connection_get_protocol_name() and
    tp_connection_get_connection_manager_name() now.

commit 6afc5819e15200f7cf0970bad982ea245dca4327
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-05-13 15:26:09 +0200

    Fix ContactList not having avatars
    
    This is a regression introduced by 22a4438161874e36e27282bd3d24a909f4b16f70,
    because ContactList does not go through the slow path.

commit b3aa3ffb6683d92ccc4eeae8f8cb9c11e8eb4575
Merge: d4abcf399 149927722
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-05-11 17:02:34 +0100

    Merge branch 'telepathy-glib-0.18' into vala

commit d4abcf3999ee5141805ab70bf925983b336d49f3
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-05-11 16:49:56 +0100

    Hide GList-based contact info typedefs from g-ir-scanner
    
    Recent vapigen versions don't like the result.
    
    This means we can revert the version that adds stub doc-comments for
    them, which seems to confuse gtk-doc. Good thing we don't have several
    duelling C-and-comment parsers or anything...
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=49637
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Xavier Claessens <xavier.claessens@collabora.co.uk>

commit 9e087fa03ff6c6b1cf6405750dd5561b42831cab
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-05-11 16:31:55 +0100

    Require valac 0.16
    
    valac 0.14 (the default valac in Debian testing/unstable at the moment)
    isn't new enough to understand GBytes. If your valac is too old, use:
    ./configure ... VALAC=/usr/bin/valac-0.16 VAPIGEN=/usr/bin/vapigen-0.16
    
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Xavier Claessens <xavier.claessens@collabora.co.uk>

commit 14992772277269299373386d68a632a5968ad511
Author: Colin Walters <walters@verbum.org>
Date:   2012-05-11 15:53:51 +0100

    vala: Fix srcdir != builddir
    
    We need to look for the .metadata file in the source directory,
    otherwise we silently generate a binding with a namespace of "Tp", not
    "TelepathyGLib".
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=49802
    Reviewed-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

commit fc6d558a71bfbe97362aade4a0fe8598b0ad067e
Author: Colin Walters <walters@verbum.org>
Date:   2012-05-11 15:53:51 +0100

    vala: Fix srcdir != builddir
    
    We need to look for the .metadata file in the source directory,
    otherwise we silently generate a binding with a namespace of "Tp", not
    "TelepathyGLib".
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=49802
    Reviewed-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

commit 7c668dad51a51500d47a19ae5ea3b4ea68e78456
Author: Ray Strode <rstrode@redhat.com>
Date:   2012-05-11 10:28:26 -0400

    Mark GList typedefs non-introspectable
    
    They end up causing under-defined entries in the gir output
    which makes vapigen choke.
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=49637
    Reviewed-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

commit dacdc30b38a39ba2500ecfeb223bfb83e464340a
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-05-11 16:14:15 +0200

    _dup_contact_by_id_async() and _upgrade_contacts_async(): drop custom implementation
    
    Simplify them by directly calling deprecated APIs, custom implementation
    suffers the same problem with avatar than fixed in previous commit

commit 143b5ad6c4c9e17fff22652eaf93a45eb54b9596
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-05-11 16:17:03 +0200

    Add regression test for avatar data problem

commit 22a4438161874e36e27282bd3d24a909f4b16f70
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-05-11 14:08:03 +0200

    TpContact does not always request avatar
    
    If AVATAR_TOKEN was already prepared and we upgrade to have AVATAR_DATA,
    the avatar won't be requested

commit ae3ebc3bb9250d8cf7631bddba7328d154d54733
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-05-10 19:06:17 +0100

    Include tp_account_request_unset_parameter in documentation
    
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=49735

commit 203515cea77126c5a1b7d6d8cfc2ae372d34ab08
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-05-10 19:02:30 +0100

    connection-contact-list: don't crash if no Contacts
    
    This situation would be stupid, but we still shouldn't crash.
    
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=49735

commit 792f37a447e49accfef9c66d8e5e655cdaea234f
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-05-10 19:00:26 +0100

    tp_connection_dup_contact_by_id_async: don't crash without Contacts
    
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=49735

commit 34e4109a86992b88d0cc879618e892f3417cb312
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-05-10 18:53:08 +0100

    tp_connection_upgrade_contacts_async: fall back to old API if no Contacts
    
    Previously it would just crash with an assertion failure, because
    contacts_bind_to_signals() relies on the Contacts interface.
    
    Also test that case in contacts-slow-path.c.
    
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=49735

commit efba4e4a7d18bef133e3492e2ef60881788a0413
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-05-11 10:23:07 +0100

    channel-manager: include defs.h for the deprecation macros
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit f28758a1337c3ad948845b4b03629afaebb9b894
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-05-10 18:35:01 +0100

    channel-manager: deprecate emit_new_channels
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=47942
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 8e87e0eeabeefb59ac6f0869dda86320f035bdd7
Merge: 9e6ee0fc8 253b2ee2e
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-05-10 15:37:10 +0100

    Merge branch 'account-request-47100'
    
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

commit 9e6ee0fc8a5f5e07aa006cfc832a469735484849
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-05-10 13:50:57 +0200

    Deprecate tp_connection_hold_handles()
    
    Holding handles is not needed with Connection Managers having
    immortal handles (any Connection Manager using telepathy-glib >= 0.13.8).
    Other Connection Managers are considered deprecated, clients wanting to
    still support them should continue using this deprecated function.

commit 80da6b4bcff9068bed0aa7da2c3eb9cd54b31ba1
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-05-10 13:22:53 +0200

    Deprecate tp_connection_request_handles()
    
    Everywhere we need an handle, we can give an ID nowadays.

commit 2716a4c17f85d7c1ecf5a5b881e900cd4d4ffea3
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-05-10 12:37:05 +0200

    Deprecate tp_connection_get_contact(_list)_attributes
    
    Contact attributes is an internal concept that should not appear
    in our API.

commit 4dfca790804fff5411c316c34cca3494c44b340b
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-05-10 11:14:25 +0200

    Deprecate tp_handle(s)_ref/unref, tp_handle(s)_client_hold/release and tp_connection_unref_handles()
    
    They are no-op now, so we can safely remove them all

commit b09ac85e4056cfe6c4dc27bfdcf7f6b80f7e3538
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-05-10 13:09:26 +0100

    tp_message_mixin_init_dbus_properties: only conditionally implement ChatState
    
    Also check that Text and Messages are implemented.
    
    This fixes a regression in 0.19.0 where applying MessageMixin to a channel
    without ChatState, like those in telepathy-rakia, would cause a critical
    warning.
    
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Xavier Claessens <xavier.claessens@collabora.co.uk>

commit 253b2ee2e1eb8ef631e7d0049907576e04acaa2e
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-05-10 11:44:38 +0100

    future-account: rename to TpAccountRequest
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 10bade958c71c7e2b69dac0667b224cd9ff436c6
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-05-10 11:00:31 +0200

    test-account: connection set on account must exist
    
    TpAccount now listen to invalidated signal on its connection, and
    if the service does not exist TpConnection will be invalidated.

commit 53cf9df185364f552d60415de885936ed6a51b81
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-05-09 19:06:39 +0200

    Silent warning about some used deprecated symbols

commit 5d616b7d39c9c9a7af4d31ceecd903f5d968bb0c
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-05-09 18:51:40 +0200

    bump nano-version

commit b0c8eef1b36ec8e765eac5bec0ee3d2de4d1f478
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-05-09 16:04:49 +0200

    Release 0.19.0

commit b1f9a33b6952a8be7eb8c5fa1ba899546487cd9e
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-05-09 16:05:59 +0200

    NEWS

commit 2745e3d2d7a259aaafeaeece10576202e09c74cd
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-05-09 18:02:18 +0200

    Update to telepathy-spec 0.27.0

commit ccffb823b4694a108c0f6a0d05707ad71a5e8870
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-05-09 18:26:21 +0200

    ChatState: Add the missing _TP_AVAILABLE/DEPRECATED_IN_0_20

commit 897cfccb89322cce4fa077a339739ec7d33fb26e
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-04-30 13:29:37 +0200

    Add comment explaining what it means if feature->prepare_async is NULL
    
    https://bugs.freedesktop.org/show_bug.cgi?id=49215

commit 5cc59603b4747632c53c4cafd1dfa39079281e10
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-04-30 13:29:03 +0200

    Add ChatState unit tests
    
    https://bugs.freedesktop.org/show_bug.cgi?id=49215

commit 0d47abe5e83cc44fdea982823d05cd7bd29ed6fe
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-04-30 13:28:26 +0200

    Implement ChatState in test echo channel
    
    https://bugs.freedesktop.org/show_bug.cgi?id=49215

commit 0a1cd9095c51fd7dbc2911fed48bd0da6baca604
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-04-30 13:22:42 +0200

    TpMessageMixin: add helpers to implement ChatState
    
    https://bugs.freedesktop.org/show_bug.cgi?id=49215

commit 9544a1997eed04aecef4ed98ddf776c2759b28b9
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-04-27 14:32:10 +0200

    Move ChatState to TpTextChannel
    
    API on TpChannel is now deprecated but still used to implement
    the corresponding API on TpTextChannel.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=49215

commit 76205ffed60d37618e04c479299c09ee497dcd15
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-05-08 18:07:47 +0200

    Deprecate tp_connection_get_contacts_by_id/handle()
    
    They are replaced by proper _async() API

commit 305495dc6c871c92e6432d95811762ecaa8a19cf
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-05-08 18:45:47 +0200

    account-channel-request test: do not use soon to be deprecated API
    
    _by_id_async() needs CONTACTS iface on the connection, so the unit test
    must be using TpTestsContactsConnection.

commit 1bcea5378f204f29b08a3b4d031c90459b414a4a
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-05-08 18:44:52 +0200

    Examples: do not use soon to be deprecated APIs

commit e60b0466429cb381d0cd3e52921c4d0956d36a97
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-05-08 18:04:04 +0200

    TpConnection: use tp_connection_upgrade_contacts_async()
    
    ContactList API was already depending on newer spec, so it's fine.

commit ac3538ae8029988458947efda467bc035cf3d3c8
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-05-08 15:27:39 +0200

    Add tp_connection_upgrade_contacts_async/finish
    
    This replaces tp_connection_upgrade_contacts() but with a proper async API.

commit 89ee88d7a534502f6dc73653f4407098eb835d3f
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-05-08 14:30:06 +0200

    Add tp_connection_dup_contact_by_id_async/finish
    
    This replaces tp_connection_get_contacts_by_id() but for single id
    and with a proper async API.
    
    merge by_id

commit a9c13065262e3b679d537b8240971a88909ddacf
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-05-08 11:45:26 +0200

    contacts-mixin: Implement GetContactByID

commit 38151925c854b2051ddf6118d882457c806c897f
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-05-08 11:12:28 +0200

    Update Connection.Interface.Contacts spec

commit 542bbe9e034e63ba0ffc54d703367689bdc061da
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-05-04 09:44:10 +0200

    _tp_tls_certificate_rejection_new: explicitely ref sink @details

commit 5ce4b947776aa2e488d2a7e72ac22d733ec4830e
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-05-04 09:20:02 +0200

    tp_tls_certificate_rejection_get_details: document Returns

commit cc0e38eed5ef3139e92d7e9f5feeec9d351cb236
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-05-04 09:18:48 +0200

    Move low level certificate API out of the doc

commit f4820fdb1715dbef62a839b63c9cd49ec3a285e1
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-05-03 14:27:50 +0200

    Version-annotate TLS certificate API

commit 0d6429043efc817233dfc2b0f083f3feec4ce55a
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-05-03 14:27:50 +0200

    Use TP_ERROR instead of TP_ERRORS

commit a1dfd77a72be0b0ad59121ebb5c27c8b6faa280c
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-05-03 10:17:18 +0200

    invalid the certificate if its state is invalid

commit c1df57b9955393f7c4ef8b3d145b6fe70d2a1a0f
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-05-03 09:56:49 +0200

    Use TP_NUM_TLS_CERTIFICATE_REJECT_REASONS

commit f7fdbf7336f5d7b8a12ac67448baff6f161b43f4
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-05-03 09:54:57 +0200

    tls-certificate-rejection: remove GError coding style check workaround

commit 05b3d1e1f9d5c63d0d01a9cecc3f04cae3191605
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-05-03 09:54:13 +0200

    check-c-style: don't check if GError are initialized
    
    It just leads us to writing insanity like:
      GError *error /* badger */;

commit 7f880d8ce0f605434929992ea429523ef586627b
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-05-03 09:51:04 +0200

    Don't include tp-cli header in tls-certificate.h
    
    Users should just rely on the high level API.

commit 71536658de65fecc09ef7c905b51b86288152131
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-04-23 10:32:33 +0200

    Use GBytes to store the cert data

commit adddf79bf94450f3b9a6bd797093df7d620d0feb
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-04-20 15:08:50 +0200

    allow parent to be NULL
    
    Needed to be able to port the empathy-tls-test without adding mock objects.
    tp_tls_certificate_new() still checks that a parent is passed so that
    shouldn't affect 'normal' users of this API.

commit 2304df9563ba80ae717bf6220535cc645a6c9fb8
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-04-19 16:03:20 +0200

    add tp_tls_certificate_rejection_raise_error()

commit bf363ee4d8a1c6c20c0a80708655dd2872ae22bf
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-04-19 15:33:32 +0200

    Use TpTLSCertificateRejection

commit 5abd182c71d56445f303c04338a1e0a2167832de
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-04-19 15:33:16 +0200

    add TpTLSCertificateRejection

commit 3320966b2adc98407e488c34e6e7342830ec11c7
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-04-19 15:32:45 +0200

    add tls-certificate to the doc

commit 50a721045a77424bed8c53434047901a2d0c2fc5
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-04-19 13:53:19 +0200

    test tp_tls_certificate_rejected_cb's code path if there is no rejections

commit c40c8cf0548c9800500035b7890ee07976a5ede7
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-04-19 12:50:41 +0200

    Use a GVariant to return rejection details

commit f45d621d4de4324689551112f7f56e9e2f205786
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-04-19 12:01:09 +0200

    tp_tls_certificate_add_rejection(): takes a GVariant instead of a GHashTable

commit 9be7554a63ff6a4f1039cc84d80547561d0225d5
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-04-19 11:50:46 +0200

    account: use _tp_asv_from_vardict()

commit 9f4260f19ef4344c75eeaefb799603a9dfc360fc
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-04-19 11:50:26 +0200

    base-connection: use _tp_asv_from_vardict()

commit 55cb32b5bd54e8f2ca59f62c13b7ab9514ae10bd
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-04-19 11:45:43 +0200

    add _tp_asv_from_vardict()

commit 268c5a5e7d4de7bde8dd41cf6330d082176eb7ce
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-04-19 10:20:28 +0200

    Test if cert is invalidated when its parent is

commit 467faee1b12408f92d25b36ad00580136acfecd3
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-04-18 13:30:08 +0200

    test tp_tls_certificate_reject_async()

commit fe57164130e2da969d9e73f26f213a5e53276514
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-04-18 13:29:43 +0200

    tp_tls_certificate_add_rejection(): allow @details to be NULL

commit 2c452279528067c0cb360a41016efee2219dc663
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-04-18 13:02:18 +0200

    test tp_tls_certificate_accept_async()

commit 16c054d58c2748435c45e44924a44063ad57d439
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-04-18 12:55:53 +0200

    Test TP_TLS_CERTIFICATE_FEATURE_CORE and props

commit a380793b20a04cf9d6e40c23c3eaff227509162b
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-04-18 12:39:21 +0200

    tls-certificate: add accessors
    
    I didn't add one for the 'parent' property because it's more of an
    implementation detail and a get_parent() method would look weird.

commit bb29e6e5e47ad09b77ae2fe6c75f22f96d1758f5
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-04-18 11:37:16 +0200

    add test-tls-certificate

commit 7b906d5254a92064e9036f8bd1db8e13381f22c3
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-04-18 11:57:29 +0200

    Pass the right value as bus-name property

commit 8f582d1207b3bd2e1ee253cb5ab2d409a67feb4f
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-04-18 11:20:05 +0200

    add tls-certificate
    
    Copied from Gabble, I just re-namespaced it.

commit fa62f763fb25d82a67377f43c6bb8b01f2460bb4
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-04-18 11:04:26 +0200

    introspection.am: add tls-certificate

commit b4b23ba4aeb534eee98b4a08f834c25ed1bfb67d
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-04-18 10:48:28 +0200

    tp_tls_certificate_new: document @error

commit c38ed70d3b35cc8f3da81d932a7b74a8705394bf
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-04-18 10:45:29 +0200

    Fix and add mising Since annotation
    
    This is not going to be included in a 0.13.x release :)

commit 2d40786ff20f1399bdfe3e3f2e43f8258cf9fa91
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2010-12-15 13:16:42 +0000

    TpTLSCertificate: allow several rejection reasons to be queued up

commit c39eff9d8fdbb0de2235440d159d2d6923d0f674
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2010-12-15 13:00:00 +0000

    TpTLSCertificate: track the signalled rejection reason(s)

commit 43978342cf1925fac3eca5cb2e4d235334228a76
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2010-12-15 12:13:54 +0000

    tp_tls_certificate_reject_async: allow a D-Bus error name to be specified

commit d38cc3ca2eeaa18d77bfa9551fd594e858922a81
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2010-12-15 12:13:32 +0000

    Track changes to TpTLSCertificate:state

commit deae4edfcad3cca0d4b70b7eff5abe40d3d23665
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2010-12-15 11:52:27 +0000

    Change the range of TpTLSCertificate:state to [0, 2**32)
    
    It comes from D-Bus, so we can't guarantee that it takes one of the known
    enum values.

commit 5f104c4117b8e3216c6bcba14a9ed2af4ae23589
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2010-12-15 11:51:15 +0000

    Document TpTLSCertificate:state

commit f2539f9ded31fe99b384971d1e3c3d86ac95d0e8
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2010-12-15 11:44:54 +0000

    TpTLSCertificate: be subordinate to a channel or connection

commit a47bc47e2e04962ef07f59735c5f9b392b04a7ae
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2010-12-14 17:01:01 +0000

    Document TpTLSCertificate

commit 62e153ad10ad53868f5fca3d83e3e11bb11287b9
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2010-12-14 16:42:30 +0000

    TpTLSCertificateClass: add a small amount of ABI padding

commit 66ce3c8fd454fadbb5a9316dd3015c78366c8784
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2010-12-14 16:13:30 +0000

    Include TpTLSCertificate in the documentation

commit 8ef7fe360e0e2a8b093b2f33ebe92dcdf4a63e91
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2010-12-14 15:44:11 +0000

    TpTLSCertificate: use _tp_implement_finish_void for finish functions

commit 379b918d1abd987738ca9b45de1f4f31f7e52257
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2010-12-14 15:43:26 +0000

    TpTLSCertificate: don't pass useless user_data through D-Bus calls
    
    self is the proxy being called, so a ref is held for the duration of the
    call anyway, so taking a weak ref is unnecessary.

commit de4686f4f669299f66dca21fe3b1449a0dabc238
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2010-12-14 15:41:55 +0000

    tp_tls_certificate_new: don't debug on error
    
    It would have crashed when error == NULL, and in any case the caller can
    reasonably be expected to do something about any errors.

commit 694563fee1ff738e2c2fed14555c1bd2f15a9c34
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2010-12-14 15:41:19 +0000

    reject_reason_get_dbus_error: streamline boilerplate with a macro

commit 5ebb3968072da90d83d9392aa36f8027013683d3
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2010-12-14 15:41:02 +0000

    TpTLSCertificate: remove unwanted semicolon from G_DEFINE_TYPE

commit af1f77c1ca8babdefaece7a5e85afc88ae532c1b
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2010-12-14 15:40:48 +0000

    TpTLSCertificate: use N_PROPS, not the misleading LAST_PROPERTY
    
    This is one beyond the last property.

commit 2583fd739e8bf6be746ad310b7c5a3ce94c9b1cb
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2010-12-14 15:40:17 +0000

    tls-certificate.c: don't include errno.h, no longer needed

commit ec888541591f7e2f5264e77493a49c3b287f5779
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2010-11-26 15:35:39 +0000

    Generate TpTLSCertificate code to have that object as first argument

commit eefb6136fbd3abf5c0aebb9d6ad43e6351074bd4
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2010-11-26 15:24:56 +0000

    TpTLSCertificate: have a CORE feature instead of our own prepare method

commit caeba3dc1d027a9c90d77ac5ac6d00e9997365af
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2010-11-26 15:17:32 +0000

    Add TpTLSCertificate, minimally adapted from Empathy
    
    - re-namespaced
    - tp_tls_certificate_init_known_interfaces() added
    - GNUTLS-dependent method empathy_tls_certificate_store_ca removed

commit 6c557efaaae94f8ebf66c5af2640d43c92cb72f7
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2010-12-14 15:30:10 +0000

    Add TLS debug flag

commit 14b822a2e3ad3a66d3f0025013f134e513fc2cc2
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2010-11-26 14:25:20 +0000

    Do minimal code-generation for TpTLSCertificate

commit a51964b574c9007b2308843a45d4b040bd3a73bd
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-04-30 15:10:40 +0200

    TpAccount: ensure connection is set to NULL before it unref all its contacts
    
    This is to let a chance to applications to properly remove all contacts
    at once instead of getting weak notify on them.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=675141

commit b79e36c1d65a59a44de20264224b5bc05a2934c1
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-05-09 10:41:23 +0100

    future-account: add warn_unused_result attribute for create_account_finish
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit d755aab78c1572c5524b43380707359166f60e34
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-05-09 10:41:06 +0100

    future-account: add missing colon in gtk-doc docs
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit d9cd4d3fb69147d9f51fd762dbca7f9b6119971c
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-05-09 10:40:56 +0100

    future-account: add service property and setter
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 84e6c35146ce4749fe43743e22b25c4d35609c48
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-05-09 09:45:42 +0100

    future-account: don't allow modifications if created/creating account
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 2618d12fe15e83c7dc427c46b1b4394c742e5c5a
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-05-09 09:24:05 +0100

    future-account: give display name on creation
    
    I decided to leave set_display_name() but decided against setter
    functions for protocol and CM name.
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 3c7d083ac43d42bafdc0b91d1c818a219acebb3d
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-05-08 16:17:12 +0200

    TP_VERSION_MIN_REQUIRED should be _TP_VERSION_CUR_STABLE by default
    
    That was a bug in glib we copied.

commit 22105db79f4a5f9c46e0a53ca04f56a07a9fb6b4
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-05-08 11:45:20 +0100

    future-account: add Since tags to all the API
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 6f64f59c7cb73b4a32fc7d0f06f121292f112517
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-05-08 11:41:34 +0100

    simple-account: be sure to free the connection path
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit f9c72a2ee021436c10f716d877cc1630f1e23dfa
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-05-08 11:40:57 +0100

    future-account test: don't bother getting Supersedes value
    
    We don't use it and we weren't freeing something properly before..
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit bd169925aa29a0bd5bd657447ad55d4381597551
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-05-07 23:50:24 +0200

    add telepathy-glib/version.h to gitignore

commit 822748c0769a57a485e909cc163ab4b1fc998524
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-05-04 09:18:46 +0200

    TpChannel: MembersChanged's details does not always need contact-ids
    
    For removal-only signal, CM could omit it.

commit b31c25dd8c52148cd4950a71b1cdffbacf21bef9
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-05-07 19:07:45 +0100

    future-account: stop leaking a GArray
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 300598d142a66c168d6a609db9f9dff487620dec
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-05-07 18:23:40 +0100

    Include channel-iface.h in telepathy-glib.h
    
    On master, this was already included via channel-factory-iface.h; on
    next, that no longer works.
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=49593
    Reviewed-by: Jonny Lamb <jonny.lamb@collabora.co.uk>
    Reviewed-by: Xavier Claessens <xavier.claessens@collabora.co.uk>

commit a5917159e0ce07af4a22895b513f7f7f7cb79cb4
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-05-07 18:53:57 +0100

    future-account: fix typo
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 339c8260655fee98dbe03d9301e0384b18f62e03
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-05-07 18:53:02 +0100

    future-account: fix docs for create_account_finish
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit dc568bfd8af38d07f108b324fa2fbf26a786d353
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-05-07 18:56:11 +0200

    TpChannel: fix typo when removing self handle from group fails
    
    This is now consistent with channel_destroy_cb() for example.
    The idea is if there is an error, but channel is invalidated
    anyway, there is no point in fallback to Close.

commit e5e061e1c5b0ecbc1457a5792f7de017b3e1a431
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-05-07 17:07:07 +0100

    NEWS

commit 8c275d9585df2575cbcc61b54ab74969baa10ea6
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-05-07 16:49:10 +0100

    Deprecate reimplementation of RequestHandles
    
    Gabble hasn't done this since 2009, and this function has been removed
    from the public API on 'next' (it interferes with separating tp_svc_*
    out of the main library).
    
    Reviewed-by: Xavier Claessens <xavier.claessens@collabora.co.uk>

commit 1bc24d3ed03c22202a9628892f0e2dc1efa37f86
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-05-04 16:36:10 +0100

    Add _TP_DEPRECATED_IN_UNRELEASED, ..._FOR
    
    Reviewed-by: Xavier Claessens <xavier.claessens@collabora.co.uk>

commit a95806d419ba88a57a1f5793e86bfe99a0d4dc02
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-05-07 14:25:32 +0100

    NEWS

commit d83d5758b476146d6f5f2d4feb39c717395b155e
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-05-04 13:56:28 +0100

    Documentation: recommend including meta-headers
    
    Reviewed-by: Xavier Claessens <xavier.claessens@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=49384

commit 83a388b0cf10dbbb8cec9c17f4255188dcd7f65c
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-05-04 13:55:43 +0100

    All examples: follow the meta-header policy
    
    Reviewed-by: Xavier Claessens <xavier.claessens@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=49384

commit 1c1b1f93953f85bf7c6cec326f8952368908b062
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-05-04 13:16:22 +0100

    Add <telepathy-glib/telepathy-glib-dbus.h> meta-header
    
    This includes all generated code, including the things that will be a
    separate library in 1.0.
    
    Reviewed-by: Xavier Claessens <xavier.claessens@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=49384

commit 5f347b0b78c4e8730b5434372cee37c0a7cb3246
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-05-04 13:15:43 +0100

    Include nearly all headers in telepathy-glib.h
    
    Exceptions:
    
    * dbus-daemon.h is included via dbus.h
    * debug-ansi.h is deprecated
    * extra-gtkdoc.h is not really a header
    * properties-mixin.h is deprecated
    * proxy-subclass.h is sufficiently low-level that API users should
      "opt in"
    * svc-*.h wil be in telepathy-glib-dbus.h
    * text-mixin.h is deprecated
    * verify.h is included via util.h
    
    Reviewed-by: Xavier Claessens <xavier.claessens@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=49384

commit 2d748f0e03ccf2117e46a4b31e9ad06a18f99fb4
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-05-04 12:51:34 +0100

    Define _TP_COMPILATION when compiling library and tests (but not examples)
    
    This will switch off single-inclusion checks. We don't want to use
    telepathy-glib/telepathy-glib.h within the library since it'll trigger
    mass recompilation whenever any header changes.
    
    For the examples, it seems acceptable to use the meta-header so that
    the examples will be exemplary.
    
    Reviewed-by: Xavier Claessens <xavier.claessens@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=49384

commit 5b9be38644d00f948d315cabf8f6e0df80ca33d9
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-05-04 12:48:50 +0100

    Mark all -internal headers as /*<private_header>*/
    
    This is a nicer way to get them out of the gtk-doc than listing them all
    in docs/reference/Makefile.am. (We still need to mention
    proxy-introspectable.h there, though - it's private from gtk-doc's
    point of view, but not gobject-introspection's.)
    
    Reviewed-by: Xavier Claessens <xavier.claessens@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=49384

commit ed4ed83ec28ff130afbf28c5c4dc8f76614bccc3
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-05-04 12:19:19 +0100

    Add multiple-inclusion guards to generated client-side code
    
    Reviewed-by: Xavier Claessens <xavier.claessens@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=49384

commit 09ece4e16b3a8b99d92a9f48610d92949edfa732
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-05-07 13:50:10 +0100

    future-account: check we have AM, CM, and protocol in constructed
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 00fed1ec56499e7a93c8d9c7c0a56fa101b24416
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-05-04 12:23:46 +0100

    future-account: make sure colons are present after annotations
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 84dce18673e185290dcc766b187aa37bff7d6937
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-05-04 12:22:53 +0100

    future-account: turn :parameters and :properties into an a{sv} GVariant
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 9829e860a57cf7e9bf83e91f0a7653ca69025bfe
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-05-03 15:02:57 +0100

    future-account: constructed should chain_up first
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 7023cc0e002720b25f91079fd09ac01beed48e50
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-05-03 15:01:38 +0100

    future-account: lose our ref to the account manager
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 5e30f62e70787c5db6502f70c7b805b259eaaf39
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-05-03 14:59:39 +0100

    future-account: function definition args should be one-per-line
    
    http://telepathy.freedesktop.org/wiki/Style?action=diff&rev1=22&rev2=23
    
    I didn't know this had changed over three years ago.
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit e574214c27179b6bf52855ea4feb6fc7fa4fed72
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-05-03 14:53:29 +0100

    future-account: _new functions should be (transfer full)
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 871bf9c8d2f622d0604d3017ae742f5ef51b3d72
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-05-03 14:52:33 +0100

    introspection: allow future-account be introspected
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 234f01647a09e25743c79f0d65ad3863f614c8c6
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-05-03 14:50:40 +0100

    future-account: remove dispose_has_run
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 036159424010216f58d43f156671736609a31104
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-05-03 14:49:49 +0100

    future-account: version-annotate new symbols
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit ef6fd0cdf0e8aafefd38b05da9f2063dfe896ed2
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-04-27 16:50:09 +0100

    telepathy-glib.h: add future-account.h
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 69579a555535557d41202f2918cf1e3451d3349a
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-04-27 16:49:58 +0100

    future-account: add new_from_protocol
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 226414747dc89925f51f82985573613f0b91e9b5
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-04-27 16:25:02 +0100

    protocol: add a _get_cm_name function and :cm-name property
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 3987baa5a05b7561cbfab17c1a667e0595f597a3
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-04-27 15:51:51 +0100

    future-account: give a warning when creating the account again
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit f1089e2afd634039ffc8a2f45e8dd932d4eec930
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-04-27 15:41:17 +0100

    future-account: add set_avatar
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 22668ce0fbea88f57d1ce82dbccf7dadec45c125
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-04-27 15:38:24 +0100

    future-account test: add more tests for the :properties GObject property
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 681a9ec11725b1f19a2fb71fd5e627cf61c2a8be
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-04-27 15:35:31 +0100

    future-account: don't bother will fallbacks for get_property
    
    This is what the default value argument of g_param_spec_new_* is for.
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit c2b25d7ed22d154d983dc9cb997b303ce7083354
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-04-27 14:14:29 +0100

    future-account: add add_supersedes function and :supersedes property
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 1f9a0ee2f6835bd10aa068e6d7d7593aa9d70e93
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-04-27 10:40:19 +0100

    future-account: new account properties should be fully-qualified
    
    Oops!
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 5902ebc629bacc6080e5582f8f016e7be686aa27
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-04-27 10:05:41 +0100

    future-account: add automatic presence and test it
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 96d2fc381e07f57161b10d7ed1da816add189ff6
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-04-27 09:48:19 +0100

    docs: add TpFutureAccount to the docs
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 0b2132a33024bd6bcc253ec6b72c9dda9b838164
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-04-27 09:48:00 +0100

    future-account: remove unused signals enum
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit f9851e26af16c83df2a18dad1019046bf6202cf8
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-04-27 09:47:44 +0100

    future-account: improve docs and fix FIXMEs
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 282a5314bd3c67be264295751c2f4893148e455d
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-04-27 09:14:36 +0100

    future-account: add _set_connect_automatically function and property
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 81d3a71c8043bf7892a7ebaa048c0297bfbec745
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-04-26 17:18:31 +0100

    future-account: add set_enabled function and :enabled property
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 7955221c201193e7e1a6e41966009121c5424b2a
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-04-26 17:00:33 +0100

    future-account: add unset_parameter and test it
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 241acf6d9cd8f6f0b001d16e56269f7673cac69c
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-04-26 16:51:17 +0100

    future-account test: add a test for CreateChannel failing
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 625282d3428c5f19450fc22c3e60ca881c872c27
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-04-26 15:16:57 +0100

    future-account test: add test for _create_account_async
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 72db0d4c167db8e1c0147418ee6aa0a06f910abe
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-04-26 15:16:28 +0100

    future-account test: register account manager and account services
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 6f387259e167080e30788934c2c05ab4f10437cb
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-04-26 15:15:26 +0100

    simple-account-manager: save CreateAccount parameters
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 0aa1bbd7d9081a48609e05dd2ab6885e30264919
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-04-26 13:04:46 +0100

    future-account: add set_nickname
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit a517f60eb8467fc5c7ed7de1e02b5d7306be5688
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-04-26 12:56:48 +0100

    future-account: add create_{async,finish} functions
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 34752d004ced4ce4ac75e7ab0c601bf444bed864
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-05-03 20:12:23 +0100

    Revert "Add tp_contact_is_self()"
    
    This reverts commit aa611fb0084b0c94f5e3b3c9c7e5ae30b8556c67.
    
    We shouldn't release this until it's more reliable.
    
    Opens: https://bugs.freedesktop.org/show_bug.cgi?id=49443

commit 2f377dab66ef074497ff0630508535716d369cb7
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-05-03 15:04:05 +0100

    Use G_DEFINE_BOXED_TYPE for every boxed type except TpIntset
    
    TpIntset is a bit weird because of backwards compatibility with TpIntSet,
    so we can only replace that one on next.
    
    Reviewed-by: Xavier Claessens <xavier.claessens@collabora.co.uk>

commit 595bf67a876ee69bf6aba5c9b083b882d1cda16d
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-04-26 10:56:30 +0100

    future-account: small documentation fixes
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 43f46c026068c4a150a1b819d71a2a6b38306327
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-04-26 10:54:52 +0100

    future-account: add set_icon_name and test it
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 2cbb7ad58e270682a476e12012098ae6b97fb0e9
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-04-26 10:38:00 +0100

    future-account: add :properties GObject property
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 4b26fe68ba9be14d887d4f0a728cf3d71fc85c7d
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-04-26 10:14:26 +0100

    future-account: start adding set_parameter functions
    
    _set_parameter is useful for introspection, but the _set_parameter_*
    functions are more useful when using C, and some of us are indeed
    still using C.
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 1231b08bd8720f2bf8e58d3a8c308c1baecc36cb
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-04-25 19:23:35 +0100

    future-account: add set_display_name
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 4e13f0c52ee32c22a69db28afc98a010c861c711
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-04-25 18:47:53 +0100

    tests: add simple TpFutureAccount test
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 5bc3b939d8c7f21c3abae71091353b507a64da9a
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-04-25 18:47:31 +0100

    future-account: store account manager, manager, and protocol
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit b304e203f8a781387523fcc1102c34963937a2ac
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-04-25 18:02:01 +0100

    future-account: add dummy object
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit fd81730d9c9b79ddd165fb6b0f02268b72e0b811
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-05-03 15:05:10 +0200

    channel.h: reorder functions per-feature

commit 72514214fb4a0708f086951044b7cad293a5fa1c
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-05-03 13:08:46 +0100

    Version-annotate tp_contact_is_self too

commit d23ad5d02837f526d9ba804e7fb664725151a8b4
Merge: aa611fb00 59e580c56
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-05-03 13:06:17 +0100

    Merge branch 'deprecation'
    
    Reviewed-by: Xavier Claessens <xavier.claessens@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=49400

commit 59e580c564711b194d3c0c8004cf8db195f06428
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-05-03 12:13:43 +0100

    Version-annotate recent API

commit f524ee716e4e2fdb959c1dd28210a3a8dfc6cbfe
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-05-03 12:31:31 +0100

    Fix computation of CUR_STABLE, PREV_STABLE for nearly-0.19 (0.18.999.1)

commit feeb27e39d71594f70a26e0fa2ac25ffd0b12f2f
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-05-03 12:31:05 +0100

    Fix defaults for TP_VERSION_MIN_REQUIRED, TP_VERSION_MAX_ALLOWED

commit e02ae4591b92838a74c1f2040da83def31c874c6
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-05-03 12:30:50 +0100

    Fix earliest-required-version checking: I only went back to 0.16

commit 4c7be65d8823d2e61ace30f3e3aaf477dcd15569
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-05-03 12:13:21 +0100

    Add a _TP_AVAILABLE_IN_UNRELEASED macro for use in unmerged branches

commit 5287659d2a9796c2bd95ad237050a2f87c6a2694
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-05-03 12:12:57 +0100

    Allow defs.h to contain UNRELEASED

commit aa611fb0084b0c94f5e3b3c9c7e5ae30b8556c67
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-05-02 17:24:58 +0200

    Add tp_contact_is_self()

commit a685482d48addbb37e4bdf1da7db11139b9481dc
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-05-02 20:34:40 +0100

    Deprecate the slow version of TpIntset iteration

commit f62c4d0445542287bb620a7708c9652161c5c9db
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-05-02 20:34:15 +0100

    tp_connection_dispose: use the fast version of int-set iteration
    
    There's no good reason why we want to iterate in order.

commit 55c45e9b080a3d1ce08f3b9bb68629334b570601
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-05-02 19:32:57 +0100

    Deprecate TpIntSet, TpIntSetIter and TpIntSetFastIter

commit e77bd67b1c51f0399c918754ed7f7ab227c986e1
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-05-02 19:31:23 +0100

    Get rid of the last few references to TpIntSet (it's now TpIntset)

commit 7bffcf1b5047938fe50feed425323e51e4b6a217
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-05-02 19:06:32 +0100

    Emit deprecation warnings for TP_ERRORS

commit 9aec808ae99f5b06c816943fc1648358af0d8294
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-05-02 19:06:24 +0100

    Stop using TP_ERRORS
    
    We deprecated this in 0.11.

commit 2cc2520bcfa36c834dab111ebf41637bbfc8371f
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-05-02 18:49:08 +0100

    Use _TP_DEPRECATED_IN_* for most deprecated functions
    
    Also make use of TP_DISABLE_DEPRECATED consistent: always wrap
    deprecated functions, and add deprecation decorators to any wrapped
    function.

commit bf6922353b10e50b62ae7a26d9a727fe5f5bf763
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-05-02 19:16:21 +0100

    Ignore deprecation of TpChannelFactoryIface when calling its methods
    
    TpBaseConnection has to support it for backwards compatibility.

commit 3f29d2ccefb1662e1859c05585bb73fe9289e21c
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-05-02 17:58:28 +0100

    Add GLib 2.32-style deprecation macros

commit 4a0739c2a00b833fdc3a312680686a87c49258a0
Author: Rohan Garg <rohangarg@kubuntu.org>
Date:   2012-05-02 22:07:40 +0530

    Call add_ft_class with proper arguments
    
    Reviewed-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

commit 103bea9443286ba589a636a240f1ead028c7bf66
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-04-30 15:56:10 +0200

    test_supports_tube: don't leak the classes array
    
    https://bugs.freedesktop.org/show_bug.cgi?id=30422

commit 1c43047cafffec3aedd5a73655d07773fd97262a
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-04-23 16:30:39 +0200

    Add tp_capabilities_dup_channel_classes_variant()
    
    https://bugs.freedesktop.org/show_bug.cgi?id=30422

commit d4a47ca60fb39d2f733eba7326d5bd9faec69a93
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-04-25 10:28:24 +0200

    _tp_asv_to_vardict: use _tp_boxed_to_variant()
    
    https://bugs.freedesktop.org/show_bug.cgi?id=30422

commit 16ab7a71f5e2f3e51549a361be98484554c23025
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-04-25 10:21:14 +0200

    add _tp_boxed_to_variant()
    
    https://bugs.freedesktop.org/show_bug.cgi?id=30422

commit 4e142f577f0faa86096a90f90f5509805f776201
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-05-02 13:54:19 +0200

    TpConnection: Deprecate _get_self_handle()
    
    New code should be using _get_self_contact()

commit f81a0bd99be209c74a48b9c2b8101fd6fb596c40
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-05-02 13:53:22 +0200

    channel-group.c: Allow using deprecated in the whole module
    
    That module is itself mostly deprecated and replaced by channel-contacts.c

commit 58b6f88c53bb68d468f4cbdfdf25bb750300387f
Merge: df950691f f3681d4dd
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-05-02 12:15:26 +0100

    Merge branch 'telepathy-glib-0.18'
    
    Conflicts:
            NEWS

commit f3681d4dddcfbb86525dcf2b9371231ad3681de5
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-05-02 12:07:40 +0100

    NEWS for 0.18

commit 759d4b5ff49e1f067ef6cf3cc71e2584d1067ed6
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-05-01 13:14:04 +0100

    Add `make clean-for-new-branch`

commit df950691ff246bf556a1ee5ff59fdaac0f191437
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-04-30 19:40:11 +0100

    NEWS

commit 66d16e25024525993ea8b8b10ebba29e04d7841e
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-04-25 16:07:44 +0100

    Don't (visibly) document ROOM-based Call channels yet
    
    No CM implements them, yet.
    
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Jonny Lamb <jonny.lamb@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=48780

commit 00a994237dc0f8b6bcbd2f11ac98e144399f7515
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-04-25 16:07:08 +0100

    Format bullet lists correctly
    
    gtk-doc's subset of Markdown allows "-" as a bullet point, but not "*".
    
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Jonny Lamb <jonny.lamb@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=48780

commit 0f17e3bf57c0c1f0fd2a618f36269215b0a948e5
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-04-25 15:59:10 +0100

    Test tp_account_channel_request_set_file_transfer_description etc.
    
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Jonny Lamb <jonny.lamb@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=48780

commit 4670e6639445555fc6fd42f5d045d1131e5f512f
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-04-16 19:37:08 +0100

    tp_account_channel_request_set_file_transfer_description etc.: add
    
    These are partly useful in their own right, and partly a demonstration
    of how any other optional properties should work in this API.
    
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Jonny Lamb <jonny.lamb@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=48780

commit 521799547ad4daf15d006a9ede630bcc7ff98f86
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-04-25 15:57:13 +0100

    Add and test functions to check for particular file transfer properties
    
    These functions make the simplifying assumption that all of these
    properties are orthogonal, so if both (say) InitialOffset and Description
    are supported, then they'll be supported in the same requestable
    channel class.
    
    This is about the best you can do without exposing the
    requestable channel classes themselves as API and having applications
    iterate through them, which seems lower-level than we want.
    
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Jonny Lamb <jonny.lamb@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=48780

commit 6cdfe94bfdb340455fa1c377fb807a45cbb265d1
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-04-16 19:06:06 +0100

    Test tp_account_channel_request_new_file_transfer
    
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Jonny Lamb <jonny.lamb@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=48780

commit 190bd127672dd8baa8c8415a543fd97dc2099d4b
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-04-16 19:36:31 +0100

    tp_account_channel_request_new_file_transfer: add
    
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Jonny Lamb <jonny.lamb@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=48780

commit 0c4e961c10b5afbc322d6a36529b63c6f5f71496
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-04-16 18:44:26 +0100

    Test requesting audio and audio/video calls, and arbitrary properties
    
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Jonny Lamb <jonny.lamb@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=48780

commit 1079b72a6d0899115e9a33ea4a6ef7182330b913
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-04-16 19:35:37 +0100

    tp_account_channel_request_new_audio_call, audio_video_call: add
    
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Jonny Lamb <jonny.lamb@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=48780

commit 199fd080e4a6ad07936d295a30bba7fab8b05e30
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-04-16 19:34:59 +0100

    tp_account_channel_request_set_request_property: add
    
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Jonny Lamb <jonny.lamb@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=48780

commit 2e07d043286d90064679b066118877d26bae1f58
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-04-16 18:14:44 +0100

    TpAccountChannelRequest: test that properties get through to the request
    
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Jonny Lamb <jonny.lamb@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=48780

commit 3d6e83e8fcb0bb43c45ff19df0003f42ee8b534f
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-04-16 16:53:27 +0100

    Test tp_account_channel_request_set_target_contact
    
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Jonny Lamb <jonny.lamb@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=48780

commit ca29a4de02541d24aff6813aa2ac838d5735aeb6
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-04-16 16:52:50 +0100

    tp_tests_connection_run_until_contact_by_id: add
    
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Jonny Lamb <jonny.lamb@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=48780

commit 3708aa6276e9b8cd398f55875a83851f92a184e5
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-04-16 16:49:29 +0100

    Test tp_account_channel_request_new_text, tp_account_channel_request_set_target_id
    
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Jonny Lamb <jonny.lamb@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=48780

commit f89c396996d914b1e54dee714276da85df0fcb5e
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-04-16 16:33:46 +0100

    tp_account_channel_request_new_text, tp_account_channel_request_set_target_contact, tp_account_channel_request_set_target_id: add
    
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Jonny Lamb <jonny.lamb@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=48780

commit 40c12e5ec863922f62a053f8feeb1ed414188430
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-04-16 16:13:37 +0100

    TpAccountChannelRequest: copy the hash table with a specific memory model
    
    Forcing use of a particular key and value destructor makes it safe to
    edit the hash table after the request has been created. (Setting every
    property in the constructor doesn't scale, in the presence of optional
    properties, and we want high-level API for this so apps can be a bit
    less D-Bus-API-dependent.)
    
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Jonny Lamb <jonny.lamb@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=48780

commit 3f70ba0caacd9fa72e60d316bf354c7d463bab61
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-04-30 14:40:35 +0200

    Deprecate TpTextMixin
    
    It has been replaced by TpMessageMixin for a while

commit 609825c7d81f98ab0f7c6463c9ce4c78c077e2fe
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-04-30 18:01:18 +0200

    Do not use TpTextMixin for channel types that does not need it
    
    This smell like contagious copy/pasting

commit d4490b3357fce06549503095f4b7fc983ab0b261
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-04-27 11:02:53 +0200

    simple-conn: rename priv->channels to priv->text_channels

commit bf226f20c5a42e6f350f620fe54924a746777666
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-04-27 11:01:36 +0200

    simple-con: don't store the room list chan in priv->channels

commit 98d0a2113daa4b94b7e7726491af23714deddd08
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-04-26 10:27:07 +0200

    room-list: rename get_listing() to is_listing()

commit 6199b89e2978b0f72ea0baee5865812567f8cc13
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-04-26 10:25:35 +0200

    room-list: rename 'got-rooms' signal to 'got-room'
    
    It's not plural.

commit 2e3b97db5c99be0144abfab369302aedb65fb5be
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-04-26 10:24:30 +0200

    fix room-list doc
    
    It's not a TpChannel sub-class any more.

commit 6a46f92c20e1fafb4c7b655936194d300ae29076
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-04-26 10:19:25 +0200

    room-info: rename hash to info
    
    That's how it's called in the spec.

commit 52f6e8bb2ff7df80721bbb63008ab792609dc283
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-04-26 10:15:47 +0200

    rename tp_room_info_get_members to get_members_count()

commit 7fb8ececde74eef92a78d7fd1008d1df905e3cfd
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-04-26 10:11:25 +0200

    Fix TpRoomInfo doc

commit fa2cbf7cb4153fa0f18ed2606cb9dfbca060bfc8
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-04-17 17:42:10 +0200

    Fire the 'failed' signal when channel is invalidated

commit 55879d7e5bdb0ad2bc73ff1232fdc930c7c46d2f
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-04-17 17:05:35 +0200

    test ListRooms() failing

commit c5e4e467091a1a578a79e46c0e63456cb31be43c
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-04-17 16:48:26 +0200

    Make the start() API sync and report errors using a signal

commit 87222101f944e535c43a934d0c507be0e9c98967
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-04-17 16:06:29 +0200

    Rename TpRoomListChannel to TpRoomList
    
    It's not a TpChannel any more.

commit 36dabfbf9f770e83bfd10e082435d24dd79aa2c3
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-04-17 15:35:15 +0200

    TpRoomListChannel: hide the channel as an implementation detail
    
    This API works now as TpContactSearch does.
    
    It's a GObject implementing the GAsyncInitable interface instead of being a
    TpChannel subclass. It also takes care of requesting the underlying channel.

commit fa95a0e28015a847870368b5855c44ddd330fb68
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-04-17 15:36:48 +0200

    simple-channel-request: allow to create room list channels

commit 0b291b59709c9da444ed87ec80447ce177145266
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-04-17 15:36:28 +0200

    simple-conn: add tp_tests_simple_connection_ensure_room_list_chan()

commit b2d1595361a5c85f8f25548e1178e267404ec63a
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-04-17 15:35:50 +0200

    room-list-chan: implement close

commit 911847cd4fb1c1a27ebc0f537d8afe5032f4143c
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-04-12 14:38:09 +0200

    Actually implement room listing

commit 6cb97884c2932ea90bcc4701ecb3a1a1c3c64bfa
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-04-12 14:37:40 +0200

    add TpRoomInfo

commit 0173bb1410e7c60f71955304b847a898a1efd1c2
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-04-12 08:32:37 +0200

    implement TP_ROOM_LIST_CHANNEL_FEATURE_LISTING
    
    Also start the implementation of tp_room_list_channel_start_listing_async().

commit 0dc738ade5d76d2f88194e24341232f643373bd5
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-04-11 14:38:20 +0200

    add test-room-list-channel

commit de890e68890a89c9d2d5656e03d6723bec5197df
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-04-11 14:37:58 +0200

    add TpTestsRoomListChan for tests

commit 499b4d7e641194d321476be78e93bb550e96eddb
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2010-09-23 14:46:59 +0200

    add TpRoomListChannel

commit a03bca462e6a0ab842b9e0e66be2b8166cc272eb
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-04-27 15:05:39 +0200

    Update NEWS with new deprecations

commit 355cebc58cb1a5cbfbed4937ac1ae4b7eac8502b
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-04-27 13:46:22 +0200

    TpChannel: Deprecate all TpHandle APIs that have TpContact variant
    
    https://bugs.freedesktop.org/show_bug.cgi?id=49213

commit 8318e418a1e34def29028ca6468f67f0f74b72fb
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-04-27 14:15:31 +0200

    Bump GLib required version to 2.32
    
    https://bugs.freedesktop.org/show_bug.cgi?id=49213

commit 414e19f9d4021cd4b353fff01da1b8ce9ba2df7b
Merge: 2556ea7ff 5d2f1f6a6
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-04-27 10:44:05 +0200

    Merge branch 'telepathy-glib-0.18'

commit 5d2f1f6a6b491a9eb05ff0013a258471d59248de
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2011-11-16 14:23:21 +0100

    Retry to prepare features which failed because of a missing conn iface
    
    If we try to prepare a connection feature before the connection is connected,
    the preparation may fall if a required interface hasn't been announced yet by
    the CM. So, we give those features a second chance to be prepared when the
    connection has been connected.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=42981

commit 2556ea7ff0fceff8dcc893c8b68bbfc596b3f44c
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-04-25 17:18:48 +0100

    account-manager: fix small typos in documentation
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit d4cbc804089b0888126f94f37afb3a2de3be3a74
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-04-25 16:00:17 +0100

    account-manager: document what signal is used for new accounts
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 032592af28cf29069b2bcf7c33fb0ae560587158
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-04-23 13:39:02 +0200

    Use g_ptr_array_new_full() now that we can depend on glib 2.30

commit c193a39211ffdef8e724c153ae13bf00b31dc7eb
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-04-23 11:00:57 +0200

    Fix typo in gtkdoc tags

commit ec1e840e3aa541304742620396011bb3e74f57fb
Merge: 109fa9cf7 3e49a76cd
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-04-20 18:31:34 +0100

    Merge branch 'telepathy-glib-0.18'
    
    Conflicts:
            NEWS
            configure.ac

commit 3e49a76cd11ab42610ac498cd0d0a66e580d6f63
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-04-20 18:26:44 +0100

    nano version

commit 32532b43297b8c9009581e0dca93dc1f0c1e0a9d
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-04-20 18:19:39 +0100

    belatedly name the release

commit 629bea3bfcf0c6698055b5bf6811485b330d335b
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-04-20 17:07:25 +0100

    Prepare 0.18.1

commit 109fa9cf7375bc4f2f2ced2a9c0dfb551e471886
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-04-18 09:49:43 +0200

    debug-client: add missing config.h include

commit 7c4391801a12292165604b630485a9633ba787eb
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-04-16 13:32:46 +0200

    debug-message: split the category from the domain
    
    The spec specifies how the category can be included in the domain, UI may want
    to display/filter them separately so best to split it for them.

commit fa79ac662465b80900646ffc8998ed3f72ef49d2
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-04-16 11:22:47 +0200

    debug-message: strip the message from trailing whitespaces
    
    empathy-debug-window was doing that; it doesn't hurt and will save Empathy
    from copying the string to strip it itself.

commit 08585dc696b299d414eaa00ded85829f9c2ec2e9
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-04-16 09:27:41 +0200

    test-debug-client: fix header comment

commit 0bbef6a26f050571c93a7df02bcc6e9cabab9f27
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-04-13 15:08:11 +0200

    add new-debug-message signal

commit 8c1aa2f67d0013507da8c0205df1054e673c8552
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-04-13 14:35:09 +0200

    Add tp_debug_client_get_messages_async()

commit 99341b830f11761fbf3c52b05e42564defbde7bd
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-04-13 14:34:50 +0200

    introspection.am: add new debug client API

commit ad4a3ac68481c352051380934430dec635fd12ff
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-04-13 14:34:19 +0200

    Add TpDebugMessage

commit 312587f6be7f5a11a32dfdd0a03bc83db8c1173b
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-04-13 10:35:28 +0200

    test tp_debug_client_set_enabled_async()

commit ba969da94a01420f5aa4e101640ea9ba83d912c4
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-04-13 10:31:04 +0200

    test TP_DEBUG_CLIENT_FEATURE_CORE

commit d68fbb41e865b6615cee62834b0c0aff0714637a
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-04-13 10:30:40 +0200

    debug-client: expose enabled as a property

commit f7217554dc69fa2682f3d88e7166b75686f4a4ff
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-04-13 09:50:25 +0200

    add test-debug-client

commit 200fca7d1432a85a39a21fb9244a341659becbb1
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-04-13 09:49:47 +0200

    telepathy-glib.h: add debug-client.h

commit 07440903a1228b8ad31100f45dde422e7fe59389
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-04-12 16:38:58 +0200

    debug-client: fix doc

commit b98cfe87b1f5a026abf184ca2452214e7a869c20
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2010-11-27 00:05:02 +0000

    DebugClient: add set_enabled_async()
    
    This is the only binding I'm going to bother adding for now.

commit e8bb33b6c8213d82562d4b8436a2a4de0ffde172
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2010-11-27 00:04:25 +0000

    DebugClient: add a Core feature.
    
    This feature basically just checks that the thing at the other end
    actually supports the Debug interface.

commit 908650d2219b74c4794a354e75bb9b2d054a4a8c
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2010-11-26 23:53:43 +0000

    DebugClient: invalidate when service vanishes

commit 5affea2190000acb8443e16c128eac1d52d85f3c
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2010-11-26 23:53:28 +0000

    Add a debug key for client-side debug stuff

commit aca908ec4be2849ede0caa4793a036034401b218
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2010-11-26 12:38:00 +0000

    Generate client Debug code (with a trivial class)

commit 6e70761bddc4def5057ccd240650a45601ce2cab
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2010-11-26 12:34:08 +0000

    Add a #define for the Debug object path

commit b2cde22bbf29015c644a6552cfad26d0ca9aabc9
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-04-17 12:44:35 +0200

    TpCapabilities: Add more unit tests for the case of extra unknown fixed props

commit dc9ec1cd1f8abe7b298a6871959daeb9c47d94e3
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-04-17 12:35:21 +0200

    Add a comment explaining why _supports_contact_search() does not require THT prop

commit ded205c7dd94ee87c03e5fc55e7955a6c2b570d9
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-04-16 22:12:53 +0200

    Add unit test for tp_capabilities_supports_audio(_video)_call()

commit bb1105761f7a42179a670485d3d910ba033e2ca9
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-04-16 16:15:12 +0200

    TpCapabilities: Verify fixed properties does not contain extra fields we don't understand

commit bb5d7690cb32a4caa7989de5ada684b0b91d5521
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-04-17 09:41:13 +0200

    Implement SetAliases on test Connection

commit 0318b322af4a9baf6c402dd1282dbc56fc0433c7
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-04-17 09:57:50 +0200

    sync test Connection with folks'

commit d3ae14a03a52b5d292410fef19b4383e9f01150a
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-04-16 16:11:28 +0100

    Document that tp_user_action_time_from_x11 works for GDK 3 too
    
    GDK 3 uses the same timestamps as GDK 2, X11, and Clutter 1.0.
    
    Also change the spelling from Gdk to GDK, following the style used in
    GDK's own documentation.
    
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Xavier Claessens <xavier.claessens@collabora.co.uk>

commit c0a58f8c543cefb9024ab5d088aca1be7fe37389
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-04-12 18:24:27 +0100

    tp_connection_dup_detailed_error_vardict: add and test
    
    Reviewed-by: Jonny Lamb <jonny.lamb@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=30422

commit bcadb5364ff8a873d965064a3e60ccbb341f3217
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-04-12 18:20:36 +0100

    tp_base_connection_disconnect_with_dbus_error_vardict: add and test
    
    Reviewed-by: Jonny Lamb <jonny.lamb@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=30422

commit 656ab5f7cac54c160488f0149ed7eda975e694a5
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-04-12 18:17:21 +0100

    tp_connection_manager_param_dup_default_variant: add and test
    
    Reviewed-by: Jonny Lamb <jonny.lamb@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=30422

commit 48942a44e3250c097347cd7197cc29bb954b9d71
Merge: f464c89e6 bab960e0f
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-04-16 19:53:41 +0100

    Merge remote-tracking branch 'origin/telepathy-glib-0.18'

commit bab960e0f3f63a52850e76b80b3dae77ea9c174d
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-04-03 11:50:15 +0200

    TpAM: Document that _set_default() keeps an internal reference

commit f464c89e68d8b460bba1247c9941e4a30ba22c2f
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-04-03 11:50:15 +0200

    TpAM: Document that _set_default() keeps an internal reference

commit 299785c6addba3d40c35a4caa9cf479b2905bf92
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-02-08 14:37:01 +0100

    Add tp_contact_get_account()

commit 7b7fad6ef2d9211489891c66d497b4b720d1b53c
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-04-16 18:43:33 +0200

    connection-internal.h Add warning comment for APIs that should not be used outside contact.c

commit a75257708a4766a5e1fcbf19d1d7d5bf588eab91
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-04-16 17:42:33 +0200

    Do not use _tp_connection_lookup_contact() outside contact.c
    
    That function is dangerous because it does not guarantee that the returned TpContact
    has an identifier set.
    
    In the case a TpContact is being created with tp_connection_get_contacts_by_id(),
    the first step is to inspect its handle and then create the TpContact object
    *without* giving its ID. The id will be set later once we got the contact attributes.
    
    If _tp_connection_lookup_contact() is called for the same handle/id between
    the moment the TpContact is created and the moment it sets its attributes, then
    a contact with no identifier is returned.

commit 57e23d6d7788498061349649e9b4bccf9ea7bf7b
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-04-16 17:42:33 +0200

    Do not use _tp_connection_lookup_contact() outside contact.c
    
    That function is dangerous because it does not guarantee that the returned TpContact
    has an identifier set.
    
    In the case a TpContact is being created with tp_connection_get_contacts_by_id(),
    the first step is to inspect its handle and then create the TpContact object
    *without* giving its ID. The id will be set later once we got the contact attributes.
    
    If _tp_connection_lookup_contact() is called for the same handle/id between
    the moment the TpContact is created and the moment it sets its attributes, then
    a contact with no identifier is returned.

commit 9fee4385e567e0f4265ffdddb6898aa0d364214e
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-04-10 16:52:49 +0200

    Add tp_capabilities_supports_sms()
    
    https://bugs.freedesktop.org/show_bug.cgi?id=48506

commit c1e3f295a9879185b08ecef2146f4a5fb2b4981d
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-04-13 12:55:23 +0100

    NEWS

commit 4ddb12fa9b0306f26e2a56048de8788791ea465e
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-04-12 16:41:23 +0100

    Use --enable-fatal-warnings to select g-ir-scanner --warn-error
    
    Reviewed-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 3a76832422b241f3fb8341f4357231efd214f5fe
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-04-12 16:38:34 +0100

    merge the various "fatal warnings or not?" options
    
    I've kept --disable-Werror (it's from a reusable macro for -Werror),
    but distributors should now use --disable-fatal-warnings to control
    all the potentially-fatal checks simultaneously.
    
    Reviewed-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 13a33ce1628ced2b54370dce06dabc5940efdd34
Merge: 2d2991d46 66d1a078e
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-04-13 12:56:07 +0100

    Merge branch 'telepathy-glib-0.18', rejecting non-fatal g-ir-scanner warnings
    
    Conflicts:
            NEWS

commit 66d1a078e9d52791ad53db2ce7a94e817e86d12e
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-04-13 12:38:26 +0100

    NEWS

commit 892174994149b1266f266833f90e73e6a727945c
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-04-12 16:55:47 +0100

    Don't make g-ir-scanner warnings fatal on this stable branch
    
    Reviewed-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit c992c64af097576d1023dc793a6d4752360ff564
Author: Alban Browaeys <prahal@yahoo.com>
Date:   2012-04-10 00:48:08 +0200

    Codegen: fix comment line start leftover.
    
    Generated telepathy-glib/_gen/telepathy-enums-gtk-doc.h from:
     /usr/bin/python ../tools/c-constants-gen.py         Tp
    _gen/stable-spec.xml _gen/telepathy-enums
    has incorrect comment. Fix it with the same remedy as
    in 5c58330c32f39a9dd6aaaef37f54461922cf6124
    "many fixes to documentation comments"
    ie remove the newline between '*' and identifier.
    
    Reviewed-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=48363

commit 2d2991d46fa150f38ac2a5090c45d64b5346391d
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-04-10 14:35:46 +0100

    Install remaining Python examples
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=48504
    Reviewed-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit e5f8a8211107a57d617865a1a74605430ad63ecb
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-04-10 14:34:24 +0100

    Optionally install most of the Python examples
    
    We already optionally install many of the C examples.
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=48504
    Reviewed-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 87323d2c4db3a87c55d00d35039c0b74ff66ed2c
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-04-10 14:33:53 +0100

    Add a simple Gtk3 dialler
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=48504
    Reviewed-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 4b9ed8f4feaca5b7cef26cfd7c0e0066b0960a76
Merge: 9f15b9669 0065a23ce
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-04-12 15:45:34 +0100

    Merge branch 'telepathy-glib-0.18'

commit 0065a23ce403becdaf86139b5bb29d0d9fe2f3cc
Author: Stef Walter <stefw@gnome.org>
Date:   2012-04-12 16:30:13 +0200

    Fix gtk-doc comments for auto-generated constants headers
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=48592
    Reviewed-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

commit a769d111600b58452622279128f040f50ebe48f6
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-04-12 14:01:40 +0100

    dbus-tube-chan test: listen on a random address appropriate for the OS
    
    Instead of hard-coding the abstract Unix socket '\000dbus-tube-test',
    listen on a random (abstract or real) Unix socket in /tmp if on Unix,
    or a random port on 127.0.0.1 if not. These are the same listening
    addresses I used in test/loopback.c in libdbus. The Unix version also
    matches what the session bus normally uses.
    
    This fixes the test on non-Linux Unix (not insisting on
    abstract-namespace sockets working), when run twice in parallel on Linux
    (not insisting on using a particular hard-coded name), and in theory
    also on Windows (not trying to use Unix sockets).
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=48600
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

commit 9f15b9669e02238c3efee3471d5a6f2398559d04
Merge: be03dcdf3 3302343b9
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-04-12 13:33:01 +0100

    Merge branch 'telepathy-glib-0.18', rejecting 0.18-specific changes
    
    Conflicts:
            NEWS
            telepathy-glib/base-connection.c
            telepathy-glib/dbus-properties-mixin.c
            telepathy-glib/presence-mixin.c
            tools/c-constants-gen.py

commit 3302343b9dbe8246e1fda0d75db2145d8a9520bd
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-04-12 13:27:04 +0100

    Upload documentation to the 0.18.x location

commit e0329bd9ccc05b095c38fde993289db4912c09d5
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2010-09-20 12:07:15 +0100

    Don't check documentation completeness in this stable branch

commit 07d4cb30fa07bf3dca05bc77aa28170ba062c77e
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2010-04-06 12:33:21 +0100

    Disable warnings about deprecated functions for stable branch
    
    Since this is a stable branch, we're unlikely to fix uses of
    deprecated functions, so we shouldn't warn about them.

commit abacdfed03e8e0247e29d760a138400f3868e95b
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-04-12 12:53:00 +0100

    NEWS

commit 114a16ba3f91dfa700770ec817ff3f8b4061e0a7
Author: Stef Walter <stefw@gnome.org>
Date:   2012-04-12 11:46:52 +0200

    Fix doc comments for recent stricter gtk-doc
    
     * Build fails with new gtk-doc (1.18.1) which seems to
       be stricter than previous versions.
    
    [Also fixes g-ir-scanner warnings, which were what was actually fatal. -smcv]
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=48592
    Reviewed-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

commit be03dcdf3e6f1e89a4ec226a14d88e0a2d339adc
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-04-12 11:52:31 +0100

    0.19 NEWS

commit 3c0276a87da6ae9540b1e28c795c1715ad48f671
Merge: ac5d4e98c e2b5e25a3
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-04-12 11:51:44 +0100

    Merge branch 'telepathy-glib-0.18'

commit e2b5e25a33edc03682b61b307d640dfbf3b72e6c
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-04-12 11:51:35 +0100

    0.18 NEWS

commit ac5d4e98cdd52d9f0a55cc1890d2319c912329b2
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-03-02 18:18:56 +0000

    Don't use the deprecated TpBaseChannelClass.interfaces property
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=48547

commit 6d546be194d9752e883bb86b70cb1641709413f5
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-02-22 18:39:32 +0000

    Annotate GStrv as (array zero-terminated=1) for introspectability
    
    (type GObject.Strv) isn't understood.
    
    This affects tp_account_update_parameters_finish,
    tp_connection_manager_dup_protocol_names,
    tp_connection_manager_protocol_dup_param_names
    and tp_protocol_dup_param_names.

commit 286ffd0da22fbe51a0cb31e4b7198c961da972e2
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-03-02 16:32:55 +0000

    Rename internal NUM_TP_LIST_HANDLES to TP_NUM_LIST_HANDLES for completeness
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=46470

commit 9a7b5f6721c5554e4bf9e111e132746b63b233c0
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-03-02 16:31:57 +0000

    Use TP_NUM_… instead of NUM_TP_…
    
    Based on a patch from Jonny Lamb, updated for current master.
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=46470

commit 6f867844aaefb0e5239ff2328a4b7329b450f4dd
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-02-22 16:50:19 +0000

    Generate TP_NUM_foo for every generated enum
    
    Unlike NUM_TP_foo, these are introspectable.
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=46470

commit 8418fb5504aca4140c956e0962dc31f2d7a20b60
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-02-22 16:49:46 +0000

    TP_NUM_DBUS_ERRORS, TP_NUM_CONTACT_FEATURES: add
    
    NUM_TP_CONTACT_FEATURES and NUM_TP_DBUS_ERRORS aren't introspectable.
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=46470

commit c6ed9fa480ed859dd7d111f6412b3a43a8cd73ca
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-02-01 19:30:39 +0000

    Complete results of TpProxy D-Bus calls in an idle
    
    GAsyncResult guarantees to call your callback from the main loop.
    For historical reasons (basically "5 years ago I didn't know any
    better"), TpProxy does not: if the interface is missing or the proxy
    has been invalidated, the callback is called re-entrantly. I'm going
    to fix that in Telepathy 1.0, but for now, let's give GAsyncResult
    the correct semantics.
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=45514
    Reviewed-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit aa273c1835bb84766fb9e2b933677ef9fb79dd09
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-04-11 12:10:13 +0100

    channel-contacts: reverse ownership of ContactsQueueItem and result
    
    Previously, the ContactsQueueItem assumed that it owned the only
    reference to the GSimpleAsyncResult. This could result in the
    GSAR still existing after the CQI had been freed, if someone else took
    a reference to the GSAR.
    
    Refcounting the CQI would not solve this problem, because then the CQI
    and the GSAR would have a cyclic reference.
    
    Instead, change the queue of CQIs into a queue of GSARs, and have the
    CQI owned by the GSAR. This means the GSAR's refcounting protects the
    CQI from being freed prematurely.
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=45554
    Reviewed-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 2e72176e91c5e6b34ffdc2625aa7cd89381e662e
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-04-11 11:59:32 +0100

    channel-contacts: merge contacts_queue_item_new into contacts_queue_item
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=45554
    Reviewed-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 0b77bfd9e045e5c4b9df0f072d32052146c2b648
Merge: 5c58330c3 76b0d3cc3
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-04-10 13:52:17 +0100

    Merge remote-tracking branch 'origin/telepathy-glib-0.18'

commit 5c58330c32f39a9dd6aaaef37f54461922cf6124
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-04-06 15:35:16 -0400

    many fixes to documentation comments
    
    fd.o#48363 was opened which complains about lots of documentation
    problems (which g-ir-scanner finds). While I was at it I did some
    grepping to find yet more problems.
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 76b0d3cc3f6dd10f1f88a7e7b1d57a88ac531a08
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-04-04 11:04:41 +0200

    the right GLib macro is GLIB_VERSION_MAX_ALLOWED

commit 08f4a05e33f8a3fa2fe0e326014dbaccc7c55be6
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-04-03 15:54:12 +0200

    add stream-tubes.py/accepter.py

commit 8c31202992b37f0e387f67ca0100df2e1643c889
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-04-03 15:54:12 +0200

    add stream-tubes.py/offerer.py

commit 5c4281431b16c48ce53d97bbc602137af4acab07
Author: Alvaro Soliverez <alvaro.soliverez@collabora.co.uk>
Date:   2012-04-03 17:39:21 -0300

    AOSP does not handle Android includes with relative paths correctly.
    This uses a variable that holds the local directory to include the file
    correctly.

commit cf0e9d8b366792a9df8303778fcda2dec21217ea
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-04-03 15:48:42 +0200

    Fix the type of the TpStreamTubeConnection::closed signal
    
    python-gobject can't bind G_TYPE_POINTER.
    
    This seems to be save from an API/ABI pov according to GLib gurus,
    we'll just copy the GError instead of passing the same pointer:

commit e17cd19f2341eeafa666301580fed1f0a77c83a6
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-04-03 14:43:50 +0200

    stream tube examples: send \n with data
    
    This will allow us to use g_data_input_stream_read_line_utf8() in Python as
    g_input_stream_read() is not bindable.

commit b985cb3474132a802df647e0438a2872c02c71fa
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-04-03 14:43:50 +0200

    stream tube examples: use tp_channel_close_async()

commit 55582d8af3627adf09ebf6ac586753ad4f6abe59
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-04-03 14:43:50 +0200

    stream tube examples: split sending/receiving data debug messages
    
    Make it easier to understand/debug what's going on.

commit c93cd8f2bbb9c8888ba3a4ad153a485e33568a4c
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-04-03 14:11:34 +0200

    Introspect a few getters
    
    It is not always a good idea for bindings to always rely on GObject::get_property(),
    it can be slow to access properties that way everytime instead of keeping
    a proxy object in native language.

commit 81b7492074ae982f1ae130b900db61c273380a4b
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-04-03 14:11:34 +0200

    Introspect a few getters
    
    It is not always a good idea for bindings to always rely on GObject::get_property(),
    it can be slow to access properties that way everytime instead of keeping
    a proxy object in native language.

commit b0919cddbde87259613b0f9c56fb9f25b6065b12
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-04-02 16:44:58 -0400

    start on version 0.19.0
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 0dfebb47ded9af7128e641ac90a032e13c2be7f4
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-04-02 16:43:12 -0400

    start on version 0.18.1
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 95b3336d2d43fdbfe61692144dca8700e0ad0071
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-04-02 16:31:18 -0400

    version 0.18.0
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 7d8094e59bf346b092f7a51e21afd0e7d9df6f1a
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-04-02 16:23:52 -0400

    NEWS: update for 0.18.0
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit dcab14f903605fc2f0c162e45b1c322966eb46c2
Merge: 6275753ca 126261cf2
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-04-02 16:46:25 +0100

    Merge branch '29271-some-dbus-tube-api'
    
    https://bugs.freedesktop.org/show_bug.cgi?id=29271
    
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

commit 126261cf295622c659238bf51d85d8e39c8eaf2c
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-04-02 16:43:31 +0100

    DBusTubeChannel: write a better preamble maybe?

commit 86216b62cd607b94bf837b4052f1f1e6cbfab819
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-04-02 16:16:25 +0100

    dbus tube test: add bug references for FIXMEs

commit b5bb8f51d46aa7ea89fafcc3042d30bc4a5db018
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-03-30 16:10:52 +0100

    dbus-tubes example: check method argument types

commit 5421f1432ed21a198e00aa708dc00e8f032ec488
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-03-30 15:20:53 +0100

    DBusTubeChannel: always use CREDENTIALS for now
    
    Unlike with stream tubes, I don't think this is something which tp-glib
    can decide for you. CREDENTIALS means “Use D-Bus's normal SASL
    handshaking”; LOCALHOST means “turn off the same-user restriction and
    optionally enable the ANONYMOUS mechanism if the socket really is only
    available to local users” or something.
    
    (To be honest, it's not obvious how an application can decide what it
    wants without being patched. I think this functionality exists for
    Sugar's benefit, where the CMs are run as different users to the
    applications; the applications can only talk to them, IIRC, because the
    session bus has authentication turned off.)

commit ecbbb72e7d11951a13514151cdf16112e09e608c
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-03-30 09:00:50 +0100

    dbus-tube: fail offer/accept if channel is invalidated

commit a3725ba5c52443bdad1d6bf87230bd01af4cf53a
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-03-29 17:48:52 +0100

    Test DBus tubes opening after Accept/Offer returns

commit d63489a560f483d85204b5ce0402fda69aac4503
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-03-29 17:08:06 +0100

    proxy: sprinkle some checked casts around.
    
    It's really tempting fate to just blindly cast objects to their expected
    type, particularly objects as fundamental as TpProxy, and particularly
    from callbacks. In this case, my incorrect refcounting was causing me to
    steal a reference; causing a perplexing crash in
    tp_proxy_poll_features() when tp_proxy_emit_invalidated() got called
    from an idle after I'd stolen its reference. Putting the checked cast in
    at the beginning made it much easier to spot the nature of the bug.

commit 7e812b3eebadc026b57fb8595b146ea8db3c5a5c
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-03-30 15:32:42 +0100

    Add an example dbus tube offerer and accepter.

commit 6275753ca716891e5865d5ea7ce5be94b096d34a
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-03-30 09:46:26 +0200

    call-channel: display a string representation of the state

commit 9ace209ddec046bb514200df8a4d82021fbd49fe
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-03-30 09:46:07 +0200

    media-observer: use more TpChannel accessors

commit cee24813a448f792c2846a474cc31fa1c2d10625
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-03-30 09:33:46 +0200

    media-observer: Observe Call channels instead of StreamedMedia

commit 79aa8283e9f1abf240f4885a87ca409aa3bfc5d9
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-03-30 09:33:31 +0200

    approver.c: Approve Call channels instead of StreamedMedia

commit a0bdd4727bed1802f5998487e1f4a7fd759d5eaf
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-03-28 11:32:12 +0200

    Tests: SetContactInfo must also emit ContactInfoChanged signal

commit 19cd507119858c8b4a5656dad6da02f4bae9b98e
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-03-28 11:31:33 +0200

    Tests: Add more supported ContactInfo fields
    
    Those are needed for folks tests

commit ea0800451b9ef3577edad6048a30ddffab7e3462
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-03-27 16:07:39 +0200

    Tests: Improve fake Account and AccountManager
    
     * add/remove accounts from the AccountManager
     * set a connection on an Account
     * enable/disable an Account

commit a51467903021e816cf0ba80761db549f3d69fb94
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-03-27 14:44:14 +0200

    Tests: Rename TestContactListManager to TpTestsContactListManager
    
    This is to respect the TpTests namespace. It is important for the copy
    in folks that introspect that API.

commit d977e60be4a8b3e59c02dbbf3342ccd57eadf0dd
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-03-27 14:29:14 +0200

    Tests: manage the global set of groups
    
    At the moment, only groups per contact is managed

commit f27ae89b1d3160db22041bed29bfaa9b1dc2be7f
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-03-27 14:28:10 +0200

    Tests: Implement mutable contact list

commit cce321f4c16c734cc5c72a94ce18fecf5ef9fb1a
Author: Xavier Claessens <xclaesse@gmail.com>
Date:   2011-08-17 15:45:54 +0200

    Make g-i scanner abort on warning if not official release

commit a5e22eb37d1cb943049fe8bff301271fd93ce582
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2012-03-23 18:51:02 -0400

    CallContentMediaDescription: Add missing documentation
    
    https://bugs.freedesktop.org/show_bug.cgi?id=47767

commit eabc9d497dab65d10565822454b86ca782453c34
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2011-09-28 14:52:46 +0200

    examples/client/stream-tubes/Makefile.am: ensure that we link on tp-glib from source
    
    It has to be the first one in LDADD

commit e846211f3d47b0cbe5364bb4d4bd2cfd95929a13
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2011-09-28 13:39:53 +0200

    add tp_dbus_tube_channel_accept_async()

commit 10d524e09c93fb49cdf5deba279aab920ea38a37
Author: Will Thompson <will.thompson@collabora.co.uk>
